<?php

namespace App\Insis\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Use ServiceType
 * @subpackage Services
 */
class _Use extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named useDistribution
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \App\Insis\StructType\UseDistribution $parameters
     * @return \App\Insis\StructType\UseDistributionResponse|bool
     */
    public function useDistribution(\App\Insis\StructType\UseDistribution $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->useDistribution($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \App\Insis\StructType\UseDistributionResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
