<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for archiveConfirmation StructType
 * @subpackage Structs
 */
class ArchiveConfirmation extends AbstractStructBase
{
    /**
     * The confirmatoryId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $confirmatoryId;
    /**
     * The ocupationId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $ocupationId;
    /**
     * The state
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $state;
    /**
     * Constructor method for archiveConfirmation
     * @uses ArchiveConfirmation::setConfirmatoryId()
     * @uses ArchiveConfirmation::setOcupationId()
     * @uses ArchiveConfirmation::setState()
     * @param int $confirmatoryId
     * @param int $ocupationId
     * @param string $state
     */
    public function __construct($confirmatoryId = null, $ocupationId = null, $state = null)
    {
        $this
            ->setConfirmatoryId($confirmatoryId)
            ->setOcupationId($ocupationId)
            ->setState($state);
    }
    /**
     * Get confirmatoryId value
     * @return int|null
     */
    public function getConfirmatoryId()
    {
        return $this->confirmatoryId;
    }
    /**
     * Set confirmatoryId value
     * @param int $confirmatoryId
     * @return \App\Insis\StructType\ArchiveConfirmation
     */
    public function setConfirmatoryId($confirmatoryId = null)
    {
        // validation for constraint: int
        if (!is_null($confirmatoryId) && !(is_int($confirmatoryId) || ctype_digit($confirmatoryId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($confirmatoryId, true), gettype($confirmatoryId)), __LINE__);
        }
        $this->confirmatoryId = $confirmatoryId;
        return $this;
    }
    /**
     * Get ocupationId value
     * @return int|null
     */
    public function getOcupationId()
    {
        return $this->ocupationId;
    }
    /**
     * Set ocupationId value
     * @param int $ocupationId
     * @return \App\Insis\StructType\ArchiveConfirmation
     */
    public function setOcupationId($ocupationId = null)
    {
        // validation for constraint: int
        if (!is_null($ocupationId) && !(is_int($ocupationId) || ctype_digit($ocupationId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($ocupationId, true), gettype($ocupationId)), __LINE__);
        }
        $this->ocupationId = $ocupationId;
        return $this;
    }
    /**
     * Get state value
     * @return string|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @param string $state
     * @return \App\Insis\StructType\ArchiveConfirmation
     */
    public function setState($state = null)
    {
        // validation for constraint: string
        if (!is_null($state) && !is_string($state)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($state, true), gettype($state)), __LINE__);
        }
        $this->state = $state;
        return $this;
    }
}
