<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for boxDetails StructType
 * @subpackage Structs
 */
class BoxDetails extends AbstractStructBase
{
    /**
     * The addAddress
     * @var bool
     */
    public $addAddress;
    /**
     * The addCar
     * @var bool
     */
    public $addCar;
    /**
     * The boxDescription
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $boxDescription;
    /**
     * The boxName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $boxName;
    /**
     * The insurType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $insurType;
    /**
     * The pictureURL
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $pictureURL;
    /**
     * Constructor method for boxDetails
     * @uses BoxDetails::setAddAddress()
     * @uses BoxDetails::setAddCar()
     * @uses BoxDetails::setBoxDescription()
     * @uses BoxDetails::setBoxName()
     * @uses BoxDetails::setInsurType()
     * @uses BoxDetails::setPictureURL()
     * @param bool $addAddress
     * @param bool $addCar
     * @param string $boxDescription
     * @param string $boxName
     * @param string $insurType
     * @param string $pictureURL
     */
    public function __construct($addAddress = null, $addCar = null, $boxDescription = null, $boxName = null, $insurType = null, $pictureURL = null)
    {
        $this
            ->setAddAddress($addAddress)
            ->setAddCar($addCar)
            ->setBoxDescription($boxDescription)
            ->setBoxName($boxName)
            ->setInsurType($insurType)
            ->setPictureURL($pictureURL);
    }
    /**
     * Get addAddress value
     * @return bool|null
     */
    public function getAddAddress()
    {
        return $this->addAddress;
    }
    /**
     * Set addAddress value
     * @param bool $addAddress
     * @return \App\Insis\StructType\BoxDetails
     */
    public function setAddAddress($addAddress = null)
    {
        // validation for constraint: boolean
        if (!is_null($addAddress) && !is_bool($addAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($addAddress, true), gettype($addAddress)), __LINE__);
        }
        $this->addAddress = $addAddress;
        return $this;
    }
    /**
     * Get addCar value
     * @return bool|null
     */
    public function getAddCar()
    {
        return $this->addCar;
    }
    /**
     * Set addCar value
     * @param bool $addCar
     * @return \App\Insis\StructType\BoxDetails
     */
    public function setAddCar($addCar = null)
    {
        // validation for constraint: boolean
        if (!is_null($addCar) && !is_bool($addCar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($addCar, true), gettype($addCar)), __LINE__);
        }
        $this->addCar = $addCar;
        return $this;
    }
    /**
     * Get boxDescription value
     * @return string|null
     */
    public function getBoxDescription()
    {
        return $this->boxDescription;
    }
    /**
     * Set boxDescription value
     * @param string $boxDescription
     * @return \App\Insis\StructType\BoxDetails
     */
    public function setBoxDescription($boxDescription = null)
    {
        // validation for constraint: string
        if (!is_null($boxDescription) && !is_string($boxDescription)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($boxDescription, true), gettype($boxDescription)), __LINE__);
        }
        $this->boxDescription = $boxDescription;
        return $this;
    }
    /**
     * Get boxName value
     * @return string|null
     */
    public function getBoxName()
    {
        return $this->boxName;
    }
    /**
     * Set boxName value
     * @param string $boxName
     * @return \App\Insis\StructType\BoxDetails
     */
    public function setBoxName($boxName = null)
    {
        // validation for constraint: string
        if (!is_null($boxName) && !is_string($boxName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($boxName, true), gettype($boxName)), __LINE__);
        }
        $this->boxName = $boxName;
        return $this;
    }
    /**
     * Get insurType value
     * @return string|null
     */
    public function getInsurType()
    {
        return $this->insurType;
    }
    /**
     * Set insurType value
     * @param string $insurType
     * @return \App\Insis\StructType\BoxDetails
     */
    public function setInsurType($insurType = null)
    {
        // validation for constraint: string
        if (!is_null($insurType) && !is_string($insurType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($insurType, true), gettype($insurType)), __LINE__);
        }
        $this->insurType = $insurType;
        return $this;
    }
    /**
     * Get pictureURL value
     * @return string|null
     */
    public function getPictureURL()
    {
        return $this->pictureURL;
    }
    /**
     * Set pictureURL value
     * @param string $pictureURL
     * @return \App\Insis\StructType\BoxDetails
     */
    public function setPictureURL($pictureURL = null)
    {
        // validation for constraint: string
        if (!is_null($pictureURL) && !is_string($pictureURL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pictureURL, true), gettype($pictureURL)), __LINE__);
        }
        $this->pictureURL = $pictureURL;
        return $this;
    }
}
