<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for calcCascoClassic StructType
 * Meta information extracted from the WSDL
 * - type: tns:calcCascoClassic
 * @subpackage Structs
 */
class CalcCascoClassic extends AbstractStructBase
{
    /**
     * The aIIN
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aIIN;
    /**
     * The aRisks
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aRisks;
    /**
     * The aFranchiseType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aFranchiseType;
    /**
     * The aCost
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $aCost;
    /**
     * Constructor method for calcCascoClassic
     * @uses CalcCascoClassic::setAIIN()
     * @uses CalcCascoClassic::setARisks()
     * @uses CalcCascoClassic::setAFranchiseType()
     * @uses CalcCascoClassic::setACost()
     * @param string $aIIN
     * @param string $aRisks
     * @param string $aFranchiseType
     * @param float $aCost
     */
    public function __construct($aIIN = null, $aRisks = null, $aFranchiseType = null, $aCost = null)
    {
        $this
            ->setAIIN($aIIN)
            ->setARisks($aRisks)
            ->setAFranchiseType($aFranchiseType)
            ->setACost($aCost);
    }
    /**
     * Get aIIN value
     * @return string|null
     */
    public function getAIIN()
    {
        return $this->aIIN;
    }
    /**
     * Set aIIN value
     * @param string $aIIN
     * @return \App\Insis\StructType\CalcCascoClassic
     */
    public function setAIIN($aIIN = null)
    {
        // validation for constraint: string
        if (!is_null($aIIN) && !is_string($aIIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aIIN, true), gettype($aIIN)), __LINE__);
        }
        $this->aIIN = $aIIN;
        return $this;
    }
    /**
     * Get aRisks value
     * @return string|null
     */
    public function getARisks()
    {
        return $this->aRisks;
    }
    /**
     * Set aRisks value
     * @param string $aRisks
     * @return \App\Insis\StructType\CalcCascoClassic
     */
    public function setARisks($aRisks = null)
    {
        // validation for constraint: string
        if (!is_null($aRisks) && !is_string($aRisks)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aRisks, true), gettype($aRisks)), __LINE__);
        }
        $this->aRisks = $aRisks;
        return $this;
    }
    /**
     * Get aFranchiseType value
     * @return string|null
     */
    public function getAFranchiseType()
    {
        return $this->aFranchiseType;
    }
    /**
     * Set aFranchiseType value
     * @param string $aFranchiseType
     * @return \App\Insis\StructType\CalcCascoClassic
     */
    public function setAFranchiseType($aFranchiseType = null)
    {
        // validation for constraint: string
        if (!is_null($aFranchiseType) && !is_string($aFranchiseType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aFranchiseType, true), gettype($aFranchiseType)), __LINE__);
        }
        $this->aFranchiseType = $aFranchiseType;
        return $this;
    }
    /**
     * Get aCost value
     * @return float|null
     */
    public function getACost()
    {
        return $this->aCost;
    }
    /**
     * Set aCost value
     * @param float $aCost
     * @return \App\Insis\StructType\CalcCascoClassic
     */
    public function setACost($aCost = null)
    {
        // validation for constraint: float
        if (!is_null($aCost) && !(is_float($aCost) || is_numeric($aCost))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($aCost, true), gettype($aCost)), __LINE__);
        }
        $this->aCost = $aCost;
        return $this;
    }
}
