<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for calcCascoEleganse StructType
 * Meta information extracted from the WSDL
 * - type: tns:calcCascoEleganse
 * @subpackage Structs
 */
class CalcCascoEleganse extends AbstractStructBase
{
    /**
     * The aIIN
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aIIN;
    /**
     * The aCarType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aCarType;
    /**
     * The aRisks
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aRisks;
    /**
     * The aFranchiseType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aFranchiseType;
    /**
     * The aProdYear
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aProdYear;
    /**
     * The aCost
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $aCost;
    /**
     * The aTerritoryType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aTerritoryType;
    /**
     * The aBeginDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aBeginDate;
    /**
     * The aEndDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aEndDate;
    /**
     * Constructor method for calcCascoEleganse
     * @uses CalcCascoEleganse::setAIIN()
     * @uses CalcCascoEleganse::setACarType()
     * @uses CalcCascoEleganse::setARisks()
     * @uses CalcCascoEleganse::setAFranchiseType()
     * @uses CalcCascoEleganse::setAProdYear()
     * @uses CalcCascoEleganse::setACost()
     * @uses CalcCascoEleganse::setATerritoryType()
     * @uses CalcCascoEleganse::setABeginDate()
     * @uses CalcCascoEleganse::setAEndDate()
     * @param string $aIIN
     * @param int $aCarType
     * @param string $aRisks
     * @param string $aFranchiseType
     * @param int $aProdYear
     * @param float $aCost
     * @param int $aTerritoryType
     * @param string $aBeginDate
     * @param string $aEndDate
     */
    public function __construct($aIIN = null, $aCarType = null, $aRisks = null, $aFranchiseType = null, $aProdYear = null, $aCost = null, $aTerritoryType = null, $aBeginDate = null, $aEndDate = null)
    {
        $this
            ->setAIIN($aIIN)
            ->setACarType($aCarType)
            ->setARisks($aRisks)
            ->setAFranchiseType($aFranchiseType)
            ->setAProdYear($aProdYear)
            ->setACost($aCost)
            ->setATerritoryType($aTerritoryType)
            ->setABeginDate($aBeginDate)
            ->setAEndDate($aEndDate);
    }
    /**
     * Get aIIN value
     * @return string|null
     */
    public function getAIIN()
    {
        return $this->aIIN;
    }
    /**
     * Set aIIN value
     * @param string $aIIN
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setAIIN($aIIN = null)
    {
        // validation for constraint: string
        if (!is_null($aIIN) && !is_string($aIIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aIIN, true), gettype($aIIN)), __LINE__);
        }
        $this->aIIN = $aIIN;
        return $this;
    }
    /**
     * Get aCarType value
     * @return int|null
     */
    public function getACarType()
    {
        return $this->aCarType;
    }
    /**
     * Set aCarType value
     * @param int $aCarType
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setACarType($aCarType = null)
    {
        // validation for constraint: int
        if (!is_null($aCarType) && !(is_int($aCarType) || ctype_digit($aCarType))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aCarType, true), gettype($aCarType)), __LINE__);
        }
        $this->aCarType = $aCarType;
        return $this;
    }
    /**
     * Get aRisks value
     * @return string|null
     */
    public function getARisks()
    {
        return $this->aRisks;
    }
    /**
     * Set aRisks value
     * @param string $aRisks
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setARisks($aRisks = null)
    {
        // validation for constraint: string
        if (!is_null($aRisks) && !is_string($aRisks)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aRisks, true), gettype($aRisks)), __LINE__);
        }
        $this->aRisks = $aRisks;
        return $this;
    }
    /**
     * Get aFranchiseType value
     * @return string|null
     */
    public function getAFranchiseType()
    {
        return $this->aFranchiseType;
    }
    /**
     * Set aFranchiseType value
     * @param string $aFranchiseType
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setAFranchiseType($aFranchiseType = null)
    {
        // validation for constraint: string
        if (!is_null($aFranchiseType) && !is_string($aFranchiseType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aFranchiseType, true), gettype($aFranchiseType)), __LINE__);
        }
        $this->aFranchiseType = $aFranchiseType;
        return $this;
    }
    /**
     * Get aProdYear value
     * @return int|null
     */
    public function getAProdYear()
    {
        return $this->aProdYear;
    }
    /**
     * Set aProdYear value
     * @param int $aProdYear
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setAProdYear($aProdYear = null)
    {
        // validation for constraint: int
        if (!is_null($aProdYear) && !(is_int($aProdYear) || ctype_digit($aProdYear))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aProdYear, true), gettype($aProdYear)), __LINE__);
        }
        $this->aProdYear = $aProdYear;
        return $this;
    }
    /**
     * Get aCost value
     * @return float|null
     */
    public function getACost()
    {
        return $this->aCost;
    }
    /**
     * Set aCost value
     * @param float $aCost
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setACost($aCost = null)
    {
        // validation for constraint: float
        if (!is_null($aCost) && !(is_float($aCost) || is_numeric($aCost))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($aCost, true), gettype($aCost)), __LINE__);
        }
        $this->aCost = $aCost;
        return $this;
    }
    /**
     * Get aTerritoryType value
     * @return int|null
     */
    public function getATerritoryType()
    {
        return $this->aTerritoryType;
    }
    /**
     * Set aTerritoryType value
     * @param int $aTerritoryType
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setATerritoryType($aTerritoryType = null)
    {
        // validation for constraint: int
        if (!is_null($aTerritoryType) && !(is_int($aTerritoryType) || ctype_digit($aTerritoryType))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aTerritoryType, true), gettype($aTerritoryType)), __LINE__);
        }
        $this->aTerritoryType = $aTerritoryType;
        return $this;
    }
    /**
     * Get aBeginDate value
     * @return string|null
     */
    public function getABeginDate()
    {
        return $this->aBeginDate;
    }
    /**
     * Set aBeginDate value
     * @param string $aBeginDate
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setABeginDate($aBeginDate = null)
    {
        // validation for constraint: string
        if (!is_null($aBeginDate) && !is_string($aBeginDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aBeginDate, true), gettype($aBeginDate)), __LINE__);
        }
        $this->aBeginDate = $aBeginDate;
        return $this;
    }
    /**
     * Get aEndDate value
     * @return string|null
     */
    public function getAEndDate()
    {
        return $this->aEndDate;
    }
    /**
     * Set aEndDate value
     * @param string $aEndDate
     * @return \App\Insis\StructType\CalcCascoEleganse
     */
    public function setAEndDate($aEndDate = null)
    {
        // validation for constraint: string
        if (!is_null($aEndDate) && !is_string($aEndDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aEndDate, true), gettype($aEndDate)), __LINE__);
        }
        $this->aEndDate = $aEndDate;
        return $this;
    }
}
