<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for calcOsgpoAuto StructType
 * Meta information extracted from the WSDL
 * - type: tns:calcOsgpoAuto
 * @subpackage Structs
 */
class CalcOsgpoAuto extends AbstractStructBase
{
    /**
     * The arrayOfPeople
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\People[]
     */
    public $arrayOfPeople;
    /**
     * The arrayOfCar
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\ObjectCar[]
     */
    public $arrayOfCar;
    /**
     * Constructor method for calcOsgpoAuto
     * @uses CalcOsgpoAuto::setArrayOfPeople()
     * @uses CalcOsgpoAuto::setArrayOfCar()
     * @param \App\Insis\StructType\People[] $arrayOfPeople
     * @param \App\Insis\StructType\ObjectCar[] $arrayOfCar
     */
    public function __construct(array $arrayOfPeople = array(), array $arrayOfCar = array())
    {
        $this
            ->setArrayOfPeople($arrayOfPeople)
            ->setArrayOfCar($arrayOfCar);
    }
    /**
     * Get arrayOfPeople value
     * @return \App\Insis\StructType\People[]|null
     */
    public function getArrayOfPeople()
    {
        return $this->arrayOfPeople;
    }
    /**
     * This method is responsible for validating the values passed to the setArrayOfPeople method
     * This method is willingly generated in order to preserve the one-line inline validation within the setArrayOfPeople method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateArrayOfPeopleForArrayConstraintsFromSetArrayOfPeople(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $calcOsgpoAutoArrayOfPeopleItem) {
            // validation for constraint: itemType
            if (!$calcOsgpoAutoArrayOfPeopleItem instanceof \App\Insis\StructType\People) {
                $invalidValues[] = is_object($calcOsgpoAutoArrayOfPeopleItem) ? get_class($calcOsgpoAutoArrayOfPeopleItem) : sprintf('%s(%s)', gettype($calcOsgpoAutoArrayOfPeopleItem), var_export($calcOsgpoAutoArrayOfPeopleItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The arrayOfPeople property can only contain items of type \App\Insis\StructType\People, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set arrayOfPeople value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\People[] $arrayOfPeople
     * @return \App\Insis\StructType\CalcOsgpoAuto
     */
    public function setArrayOfPeople(array $arrayOfPeople = array())
    {
        // validation for constraint: array
        if ('' !== ($arrayOfPeopleArrayErrorMessage = self::validateArrayOfPeopleForArrayConstraintsFromSetArrayOfPeople($arrayOfPeople))) {
            throw new \InvalidArgumentException($arrayOfPeopleArrayErrorMessage, __LINE__);
        }
        $this->arrayOfPeople = $arrayOfPeople;
        return $this;
    }
    /**
     * Add item to arrayOfPeople value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\People $item
     * @return \App\Insis\StructType\CalcOsgpoAuto
     */
    public function addToArrayOfPeople(\App\Insis\StructType\People $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\People) {
            throw new \InvalidArgumentException(sprintf('The arrayOfPeople property can only contain items of type \App\Insis\StructType\People, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->arrayOfPeople[] = $item;
        return $this;
    }
    /**
     * Get arrayOfCar value
     * @return \App\Insis\StructType\ObjectCar[]|null
     */
    public function getArrayOfCar()
    {
        return $this->arrayOfCar;
    }
    /**
     * This method is responsible for validating the values passed to the setArrayOfCar method
     * This method is willingly generated in order to preserve the one-line inline validation within the setArrayOfCar method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateArrayOfCarForArrayConstraintsFromSetArrayOfCar(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $calcOsgpoAutoArrayOfCarItem) {
            // validation for constraint: itemType
            if (!$calcOsgpoAutoArrayOfCarItem instanceof \App\Insis\StructType\ObjectCar) {
                $invalidValues[] = is_object($calcOsgpoAutoArrayOfCarItem) ? get_class($calcOsgpoAutoArrayOfCarItem) : sprintf('%s(%s)', gettype($calcOsgpoAutoArrayOfCarItem), var_export($calcOsgpoAutoArrayOfCarItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The arrayOfCar property can only contain items of type \App\Insis\StructType\ObjectCar, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set arrayOfCar value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectCar[] $arrayOfCar
     * @return \App\Insis\StructType\CalcOsgpoAuto
     */
    public function setArrayOfCar(array $arrayOfCar = array())
    {
        // validation for constraint: array
        if ('' !== ($arrayOfCarArrayErrorMessage = self::validateArrayOfCarForArrayConstraintsFromSetArrayOfCar($arrayOfCar))) {
            throw new \InvalidArgumentException($arrayOfCarArrayErrorMessage, __LINE__);
        }
        $this->arrayOfCar = $arrayOfCar;
        return $this;
    }
    /**
     * Add item to arrayOfCar value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectCar $item
     * @return \App\Insis\StructType\CalcOsgpoAuto
     */
    public function addToArrayOfCar(\App\Insis\StructType\ObjectCar $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\ObjectCar) {
            throw new \InvalidArgumentException(sprintf('The arrayOfCar property can only contain items of type \App\Insis\StructType\ObjectCar, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->arrayOfCar[] = $item;
        return $this;
    }
}
