<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for calcOsgpoAutoCalendar StructType
 * Meta information extracted from the WSDL
 * - type: tns:calcOsgpoAutoCalendar
 * @subpackage Structs
 */
class CalcOsgpoAutoCalendar extends AbstractStructBase
{
    /**
     * The aPremium
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $aPremium;
    /**
     * The aDuration
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aDuration;
    /**
     * The aDimension
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aDimension;
    /**
     * Constructor method for calcOsgpoAutoCalendar
     * @uses CalcOsgpoAutoCalendar::setAPremium()
     * @uses CalcOsgpoAutoCalendar::setADuration()
     * @uses CalcOsgpoAutoCalendar::setADimension()
     * @param float $aPremium
     * @param int $aDuration
     * @param string $aDimension
     */
    public function __construct($aPremium = null, $aDuration = null, $aDimension = null)
    {
        $this
            ->setAPremium($aPremium)
            ->setADuration($aDuration)
            ->setADimension($aDimension);
    }
    /**
     * Get aPremium value
     * @return float|null
     */
    public function getAPremium()
    {
        return $this->aPremium;
    }
    /**
     * Set aPremium value
     * @param float $aPremium
     * @return \App\Insis\StructType\CalcOsgpoAutoCalendar
     */
    public function setAPremium($aPremium = null)
    {
        // validation for constraint: float
        if (!is_null($aPremium) && !(is_float($aPremium) || is_numeric($aPremium))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($aPremium, true), gettype($aPremium)), __LINE__);
        }
        $this->aPremium = $aPremium;
        return $this;
    }
    /**
     * Get aDuration value
     * @return int|null
     */
    public function getADuration()
    {
        return $this->aDuration;
    }
    /**
     * Set aDuration value
     * @param int $aDuration
     * @return \App\Insis\StructType\CalcOsgpoAutoCalendar
     */
    public function setADuration($aDuration = null)
    {
        // validation for constraint: int
        if (!is_null($aDuration) && !(is_int($aDuration) || ctype_digit($aDuration))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aDuration, true), gettype($aDuration)), __LINE__);
        }
        $this->aDuration = $aDuration;
        return $this;
    }
    /**
     * Get aDimension value
     * @return string|null
     */
    public function getADimension()
    {
        return $this->aDimension;
    }
    /**
     * Set aDimension value
     * @param string $aDimension
     * @return \App\Insis\StructType\CalcOsgpoAutoCalendar
     */
    public function setADimension($aDimension = null)
    {
        // validation for constraint: string
        if (!is_null($aDimension) && !is_string($aDimension)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aDimension, true), gettype($aDimension)), __LINE__);
        }
        $this->aDimension = $aDimension;
        return $this;
    }
}
