<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for carViolation StructType
 * @subpackage Structs
 */
class CarViolation extends AbstractStructBase
{
    /**
     * The carColour
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $carColour;
    /**
     * The carMake
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $carMake;
    /**
     * The carModel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $carModel;
    /**
     * The docNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $docNumber;
    /**
     * The isRepeat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $isRepeat;
    /**
     * The regNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $regNumber;
    /**
     * The title
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $title;
    /**
     * The violationAddress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $violationAddress;
    /**
     * The violationAmnt
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $violationAmnt;
    /**
     * The violationDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $violationDate;
    /**
     * The violationNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $violationNumber;
    /**
     * The violationState
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $violationState;
    /**
     * The violationType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $violationType;
    /**
     * Constructor method for carViolation
     * @uses CarViolation::setCarColour()
     * @uses CarViolation::setCarMake()
     * @uses CarViolation::setCarModel()
     * @uses CarViolation::setDocNumber()
     * @uses CarViolation::setIsRepeat()
     * @uses CarViolation::setRegNumber()
     * @uses CarViolation::setTitle()
     * @uses CarViolation::setViolationAddress()
     * @uses CarViolation::setViolationAmnt()
     * @uses CarViolation::setViolationDate()
     * @uses CarViolation::setViolationNumber()
     * @uses CarViolation::setViolationState()
     * @uses CarViolation::setViolationType()
     * @param string $carColour
     * @param string $carMake
     * @param string $carModel
     * @param string $docNumber
     * @param int $isRepeat
     * @param string $regNumber
     * @param string $title
     * @param string $violationAddress
     * @param float $violationAmnt
     * @param string $violationDate
     * @param string $violationNumber
     * @param string $violationState
     * @param string $violationType
     */
    public function __construct($carColour = null, $carMake = null, $carModel = null, $docNumber = null, $isRepeat = null, $regNumber = null, $title = null, $violationAddress = null, $violationAmnt = null, $violationDate = null, $violationNumber = null, $violationState = null, $violationType = null)
    {
        $this
            ->setCarColour($carColour)
            ->setCarMake($carMake)
            ->setCarModel($carModel)
            ->setDocNumber($docNumber)
            ->setIsRepeat($isRepeat)
            ->setRegNumber($regNumber)
            ->setTitle($title)
            ->setViolationAddress($violationAddress)
            ->setViolationAmnt($violationAmnt)
            ->setViolationDate($violationDate)
            ->setViolationNumber($violationNumber)
            ->setViolationState($violationState)
            ->setViolationType($violationType);
    }
    /**
     * Get carColour value
     * @return string|null
     */
    public function getCarColour()
    {
        return $this->carColour;
    }
    /**
     * Set carColour value
     * @param string $carColour
     * @return \App\Insis\StructType\CarViolation
     */
    public function setCarColour($carColour = null)
    {
        // validation for constraint: string
        if (!is_null($carColour) && !is_string($carColour)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($carColour, true), gettype($carColour)), __LINE__);
        }
        $this->carColour = $carColour;
        return $this;
    }
    /**
     * Get carMake value
     * @return string|null
     */
    public function getCarMake()
    {
        return $this->carMake;
    }
    /**
     * Set carMake value
     * @param string $carMake
     * @return \App\Insis\StructType\CarViolation
     */
    public function setCarMake($carMake = null)
    {
        // validation for constraint: string
        if (!is_null($carMake) && !is_string($carMake)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($carMake, true), gettype($carMake)), __LINE__);
        }
        $this->carMake = $carMake;
        return $this;
    }
    /**
     * Get carModel value
     * @return string|null
     */
    public function getCarModel()
    {
        return $this->carModel;
    }
    /**
     * Set carModel value
     * @param string $carModel
     * @return \App\Insis\StructType\CarViolation
     */
    public function setCarModel($carModel = null)
    {
        // validation for constraint: string
        if (!is_null($carModel) && !is_string($carModel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($carModel, true), gettype($carModel)), __LINE__);
        }
        $this->carModel = $carModel;
        return $this;
    }
    /**
     * Get docNumber value
     * @return string|null
     */
    public function getDocNumber()
    {
        return $this->docNumber;
    }
    /**
     * Set docNumber value
     * @param string $docNumber
     * @return \App\Insis\StructType\CarViolation
     */
    public function setDocNumber($docNumber = null)
    {
        // validation for constraint: string
        if (!is_null($docNumber) && !is_string($docNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($docNumber, true), gettype($docNumber)), __LINE__);
        }
        $this->docNumber = $docNumber;
        return $this;
    }
    /**
     * Get isRepeat value
     * @return int|null
     */
    public function getIsRepeat()
    {
        return $this->isRepeat;
    }
    /**
     * Set isRepeat value
     * @param int $isRepeat
     * @return \App\Insis\StructType\CarViolation
     */
    public function setIsRepeat($isRepeat = null)
    {
        // validation for constraint: int
        if (!is_null($isRepeat) && !(is_int($isRepeat) || ctype_digit($isRepeat))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($isRepeat, true), gettype($isRepeat)), __LINE__);
        }
        $this->isRepeat = $isRepeat;
        return $this;
    }
    /**
     * Get regNumber value
     * @return string|null
     */
    public function getRegNumber()
    {
        return $this->regNumber;
    }
    /**
     * Set regNumber value
     * @param string $regNumber
     * @return \App\Insis\StructType\CarViolation
     */
    public function setRegNumber($regNumber = null)
    {
        // validation for constraint: string
        if (!is_null($regNumber) && !is_string($regNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($regNumber, true), gettype($regNumber)), __LINE__);
        }
        $this->regNumber = $regNumber;
        return $this;
    }
    /**
     * Get title value
     * @return string|null
     */
    public function getTitle()
    {
        return $this->title;
    }
    /**
     * Set title value
     * @param string $title
     * @return \App\Insis\StructType\CarViolation
     */
    public function setTitle($title = null)
    {
        // validation for constraint: string
        if (!is_null($title) && !is_string($title)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($title, true), gettype($title)), __LINE__);
        }
        $this->title = $title;
        return $this;
    }
    /**
     * Get violationAddress value
     * @return string|null
     */
    public function getViolationAddress()
    {
        return $this->violationAddress;
    }
    /**
     * Set violationAddress value
     * @param string $violationAddress
     * @return \App\Insis\StructType\CarViolation
     */
    public function setViolationAddress($violationAddress = null)
    {
        // validation for constraint: string
        if (!is_null($violationAddress) && !is_string($violationAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($violationAddress, true), gettype($violationAddress)), __LINE__);
        }
        $this->violationAddress = $violationAddress;
        return $this;
    }
    /**
     * Get violationAmnt value
     * @return float|null
     */
    public function getViolationAmnt()
    {
        return $this->violationAmnt;
    }
    /**
     * Set violationAmnt value
     * @param float $violationAmnt
     * @return \App\Insis\StructType\CarViolation
     */
    public function setViolationAmnt($violationAmnt = null)
    {
        // validation for constraint: float
        if (!is_null($violationAmnt) && !(is_float($violationAmnt) || is_numeric($violationAmnt))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($violationAmnt, true), gettype($violationAmnt)), __LINE__);
        }
        $this->violationAmnt = $violationAmnt;
        return $this;
    }
    /**
     * Get violationDate value
     * @return string|null
     */
    public function getViolationDate()
    {
        return $this->violationDate;
    }
    /**
     * Set violationDate value
     * @param string $violationDate
     * @return \App\Insis\StructType\CarViolation
     */
    public function setViolationDate($violationDate = null)
    {
        // validation for constraint: string
        if (!is_null($violationDate) && !is_string($violationDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($violationDate, true), gettype($violationDate)), __LINE__);
        }
        $this->violationDate = $violationDate;
        return $this;
    }
    /**
     * Get violationNumber value
     * @return string|null
     */
    public function getViolationNumber()
    {
        return $this->violationNumber;
    }
    /**
     * Set violationNumber value
     * @param string $violationNumber
     * @return \App\Insis\StructType\CarViolation
     */
    public function setViolationNumber($violationNumber = null)
    {
        // validation for constraint: string
        if (!is_null($violationNumber) && !is_string($violationNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($violationNumber, true), gettype($violationNumber)), __LINE__);
        }
        $this->violationNumber = $violationNumber;
        return $this;
    }
    /**
     * Get violationState value
     * @return string|null
     */
    public function getViolationState()
    {
        return $this->violationState;
    }
    /**
     * Set violationState value
     * @param string $violationState
     * @return \App\Insis\StructType\CarViolation
     */
    public function setViolationState($violationState = null)
    {
        // validation for constraint: string
        if (!is_null($violationState) && !is_string($violationState)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($violationState, true), gettype($violationState)), __LINE__);
        }
        $this->violationState = $violationState;
        return $this;
    }
    /**
     * Get violationType value
     * @return string|null
     */
    public function getViolationType()
    {
        return $this->violationType;
    }
    /**
     * Set violationType value
     * @param string $violationType
     * @return \App\Insis\StructType\CarViolation
     */
    public function setViolationType($violationType = null)
    {
        // validation for constraint: string
        if (!is_null($violationType) && !is_string($violationType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($violationType, true), gettype($violationType)), __LINE__);
        }
        $this->violationType = $violationType;
        return $this;
    }
}
