<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for checkPolicyStatus StructType
 * Meta information extracted from the WSDL
 * - type: tns:checkPolicyStatus
 * @subpackage Structs
 */
class CheckPolicyStatus extends AbstractStructBase
{
    /**
     * The aPolicies
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $aPolicies;
    /**
     * Constructor method for checkPolicyStatus
     * @uses CheckPolicyStatus::setAPolicies()
     * @param int[] $aPolicies
     */
    public function __construct(array $aPolicies = array())
    {
        $this
            ->setAPolicies($aPolicies);
    }
    /**
     * Get aPolicies value
     * @return int[]|null
     */
    public function getAPolicies()
    {
        return $this->aPolicies;
    }
    /**
     * This method is responsible for validating the values passed to the setAPolicies method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAPolicies method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAPoliciesForArrayConstraintsFromSetAPolicies(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $checkPolicyStatusAPoliciesItem) {
            // validation for constraint: itemType
            if (!(is_int($checkPolicyStatusAPoliciesItem) || ctype_digit($checkPolicyStatusAPoliciesItem))) {
                $invalidValues[] = is_object($checkPolicyStatusAPoliciesItem) ? get_class($checkPolicyStatusAPoliciesItem) : sprintf('%s(%s)', gettype($checkPolicyStatusAPoliciesItem), var_export($checkPolicyStatusAPoliciesItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aPolicies property can only contain items of type long, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aPolicies value
     * @throws \InvalidArgumentException
     * @param int[] $aPolicies
     * @return \App\Insis\StructType\CheckPolicyStatus
     */
    public function setAPolicies(array $aPolicies = array())
    {
        // validation for constraint: array
        if ('' !== ($aPoliciesArrayErrorMessage = self::validateAPoliciesForArrayConstraintsFromSetAPolicies($aPolicies))) {
            throw new \InvalidArgumentException($aPoliciesArrayErrorMessage, __LINE__);
        }
        $this->aPolicies = $aPolicies;
        return $this;
    }
    /**
     * Add item to aPolicies value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \App\Insis\StructType\CheckPolicyStatus
     */
    public function addToAPolicies($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The aPolicies property can only contain items of type long, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aPolicies[] = $item;
        return $this;
    }
}
