<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for checkPolicyStatusResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:checkPolicyStatusResponse
 * @subpackage Structs
 */
class CheckPolicyStatusResponse extends AbstractStructBase
{
    /**
     * The return
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $return;
    /**
     * Constructor method for checkPolicyStatusResponse
     * @uses CheckPolicyStatusResponse::setReturn()
     * @param int[] $return
     */
    public function __construct(array $return = array())
    {
        $this
            ->setReturn($return);
    }
    /**
     * Get return value
     * @return int[]|null
     */
    public function getReturn()
    {
        return $this->return;
    }
    /**
     * This method is responsible for validating the values passed to the setReturn method
     * This method is willingly generated in order to preserve the one-line inline validation within the setReturn method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateReturnForArrayConstraintsFromSetReturn(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $checkPolicyStatusResponseReturnItem) {
            // validation for constraint: itemType
            if (!(is_int($checkPolicyStatusResponseReturnItem) || ctype_digit($checkPolicyStatusResponseReturnItem))) {
                $invalidValues[] = is_object($checkPolicyStatusResponseReturnItem) ? get_class($checkPolicyStatusResponseReturnItem) : sprintf('%s(%s)', gettype($checkPolicyStatusResponseReturnItem), var_export($checkPolicyStatusResponseReturnItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The return property can only contain items of type long, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set return value
     * @throws \InvalidArgumentException
     * @param int[] $return
     * @return \App\Insis\StructType\CheckPolicyStatusResponse
     */
    public function setReturn(array $return = array())
    {
        // validation for constraint: array
        if ('' !== ($returnArrayErrorMessage = self::validateReturnForArrayConstraintsFromSetReturn($return))) {
            throw new \InvalidArgumentException($returnArrayErrorMessage, __LINE__);
        }
        $this->return = $return;
        return $this;
    }
    /**
     * Add item to return value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \App\Insis\StructType\CheckPolicyStatusResponse
     */
    public function addToReturn($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The return property can only contain items of type long, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->return[] = $item;
        return $this;
    }
}
