<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for deleteDocumentAttachment StructType
 * Meta information extracted from the WSDL
 * - type: tns:deleteDocumentAttachment
 * @subpackage Structs
 */
class DeleteDocumentAttachment extends AbstractStructBase
{
    /**
     * The aObjectType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aObjectType;
    /**
     * The aObjectId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aObjectId;
    /**
     * The aAttachmentId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aAttachmentId;
    /**
     * The aUsername
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aUsername;
    /**
     * Constructor method for deleteDocumentAttachment
     * @uses DeleteDocumentAttachment::setAObjectType()
     * @uses DeleteDocumentAttachment::setAObjectId()
     * @uses DeleteDocumentAttachment::setAAttachmentId()
     * @uses DeleteDocumentAttachment::setAUsername()
     * @param int $aObjectType
     * @param int $aObjectId
     * @param int $aAttachmentId
     * @param string $aUsername
     */
    public function __construct($aObjectType = null, $aObjectId = null, $aAttachmentId = null, $aUsername = null)
    {
        $this
            ->setAObjectType($aObjectType)
            ->setAObjectId($aObjectId)
            ->setAAttachmentId($aAttachmentId)
            ->setAUsername($aUsername);
    }
    /**
     * Get aObjectType value
     * @return int|null
     */
    public function getAObjectType()
    {
        return $this->aObjectType;
    }
    /**
     * Set aObjectType value
     * @param int $aObjectType
     * @return \App\Insis\StructType\DeleteDocumentAttachment
     */
    public function setAObjectType($aObjectType = null)
    {
        // validation for constraint: int
        if (!is_null($aObjectType) && !(is_int($aObjectType) || ctype_digit($aObjectType))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aObjectType, true), gettype($aObjectType)), __LINE__);
        }
        $this->aObjectType = $aObjectType;
        return $this;
    }
    /**
     * Get aObjectId value
     * @return int|null
     */
    public function getAObjectId()
    {
        return $this->aObjectId;
    }
    /**
     * Set aObjectId value
     * @param int $aObjectId
     * @return \App\Insis\StructType\DeleteDocumentAttachment
     */
    public function setAObjectId($aObjectId = null)
    {
        // validation for constraint: int
        if (!is_null($aObjectId) && !(is_int($aObjectId) || ctype_digit($aObjectId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aObjectId, true), gettype($aObjectId)), __LINE__);
        }
        $this->aObjectId = $aObjectId;
        return $this;
    }
    /**
     * Get aAttachmentId value
     * @return int|null
     */
    public function getAAttachmentId()
    {
        return $this->aAttachmentId;
    }
    /**
     * Set aAttachmentId value
     * @param int $aAttachmentId
     * @return \App\Insis\StructType\DeleteDocumentAttachment
     */
    public function setAAttachmentId($aAttachmentId = null)
    {
        // validation for constraint: int
        if (!is_null($aAttachmentId) && !(is_int($aAttachmentId) || ctype_digit($aAttachmentId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aAttachmentId, true), gettype($aAttachmentId)), __LINE__);
        }
        $this->aAttachmentId = $aAttachmentId;
        return $this;
    }
    /**
     * Get aUsername value
     * @return string|null
     */
    public function getAUsername()
    {
        return $this->aUsername;
    }
    /**
     * Set aUsername value
     * @param string $aUsername
     * @return \App\Insis\StructType\DeleteDocumentAttachment
     */
    public function setAUsername($aUsername = null)
    {
        // validation for constraint: string
        if (!is_null($aUsername) && !is_string($aUsername)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aUsername, true), gettype($aUsername)), __LINE__);
        }
        $this->aUsername = $aUsername;
        return $this;
    }
}
