<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for draftClient StructType
 * @subpackage Structs
 */
class DraftClient extends AbstractStructBase
{
    /**
     * The discount
     * @var bool
     */
    public $discount;
    /**
     * The expiriance
     * @var bool
     */
    public $expiriance;
    /**
     * The FName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $FName;
    /**
     * The IIN
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $IIN;
    /**
     * The LName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $LName;
    /**
     * The MName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $MName;
    /**
     * The mail
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $mail;
    /**
     * The main
     * @var bool
     */
    public $main;
    /**
     * The phone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $phone;
    /**
     * Constructor method for draftClient
     * @uses DraftClient::setDiscount()
     * @uses DraftClient::setExpiriance()
     * @uses DraftClient::setFName()
     * @uses DraftClient::setIIN()
     * @uses DraftClient::setLName()
     * @uses DraftClient::setMName()
     * @uses DraftClient::setMail()
     * @uses DraftClient::setMain()
     * @uses DraftClient::setPhone()
     * @param bool $discount
     * @param bool $expiriance
     * @param string $fName
     * @param string $iIN
     * @param string $lName
     * @param string $mName
     * @param string $mail
     * @param bool $main
     * @param string $phone
     */
    public function __construct($discount = null, $expiriance = null, $fName = null, $iIN = null, $lName = null, $mName = null, $mail = null, $main = null, $phone = null)
    {
        $this
            ->setDiscount($discount)
            ->setExpiriance($expiriance)
            ->setFName($fName)
            ->setIIN($iIN)
            ->setLName($lName)
            ->setMName($mName)
            ->setMail($mail)
            ->setMain($main)
            ->setPhone($phone);
    }
    /**
     * Get discount value
     * @return bool|null
     */
    public function getDiscount()
    {
        return $this->discount;
    }
    /**
     * Set discount value
     * @param bool $discount
     * @return \App\Insis\StructType\DraftClient
     */
    public function setDiscount($discount = null)
    {
        // validation for constraint: boolean
        if (!is_null($discount) && !is_bool($discount)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($discount, true), gettype($discount)), __LINE__);
        }
        $this->discount = $discount;
        return $this;
    }
    /**
     * Get expiriance value
     * @return bool|null
     */
    public function getExpiriance()
    {
        return $this->expiriance;
    }
    /**
     * Set expiriance value
     * @param bool $expiriance
     * @return \App\Insis\StructType\DraftClient
     */
    public function setExpiriance($expiriance = null)
    {
        // validation for constraint: boolean
        if (!is_null($expiriance) && !is_bool($expiriance)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($expiriance, true), gettype($expiriance)), __LINE__);
        }
        $this->expiriance = $expiriance;
        return $this;
    }
    /**
     * Get FName value
     * @return string|null
     */
    public function getFName()
    {
        return $this->FName;
    }
    /**
     * Set FName value
     * @param string $fName
     * @return \App\Insis\StructType\DraftClient
     */
    public function setFName($fName = null)
    {
        // validation for constraint: string
        if (!is_null($fName) && !is_string($fName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fName, true), gettype($fName)), __LINE__);
        }
        $this->FName = $fName;
        return $this;
    }
    /**
     * Get IIN value
     * @return string|null
     */
    public function getIIN()
    {
        return $this->IIN;
    }
    /**
     * Set IIN value
     * @param string $iIN
     * @return \App\Insis\StructType\DraftClient
     */
    public function setIIN($iIN = null)
    {
        // validation for constraint: string
        if (!is_null($iIN) && !is_string($iIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iIN, true), gettype($iIN)), __LINE__);
        }
        $this->IIN = $iIN;
        return $this;
    }
    /**
     * Get LName value
     * @return string|null
     */
    public function getLName()
    {
        return $this->LName;
    }
    /**
     * Set LName value
     * @param string $lName
     * @return \App\Insis\StructType\DraftClient
     */
    public function setLName($lName = null)
    {
        // validation for constraint: string
        if (!is_null($lName) && !is_string($lName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lName, true), gettype($lName)), __LINE__);
        }
        $this->LName = $lName;
        return $this;
    }
    /**
     * Get MName value
     * @return string|null
     */
    public function getMName()
    {
        return $this->MName;
    }
    /**
     * Set MName value
     * @param string $mName
     * @return \App\Insis\StructType\DraftClient
     */
    public function setMName($mName = null)
    {
        // validation for constraint: string
        if (!is_null($mName) && !is_string($mName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mName, true), gettype($mName)), __LINE__);
        }
        $this->MName = $mName;
        return $this;
    }
    /**
     * Get mail value
     * @return string|null
     */
    public function getMail()
    {
        return $this->mail;
    }
    /**
     * Set mail value
     * @param string $mail
     * @return \App\Insis\StructType\DraftClient
     */
    public function setMail($mail = null)
    {
        // validation for constraint: string
        if (!is_null($mail) && !is_string($mail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mail, true), gettype($mail)), __LINE__);
        }
        $this->mail = $mail;
        return $this;
    }
    /**
     * Get main value
     * @return bool|null
     */
    public function getMain()
    {
        return $this->main;
    }
    /**
     * Set main value
     * @param bool $main
     * @return \App\Insis\StructType\DraftClient
     */
    public function setMain($main = null)
    {
        // validation for constraint: boolean
        if (!is_null($main) && !is_bool($main)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($main, true), gettype($main)), __LINE__);
        }
        $this->main = $main;
        return $this;
    }
    /**
     * Get phone value
     * @return string|null
     */
    public function getPhone()
    {
        return $this->phone;
    }
    /**
     * Set phone value
     * @param string $phone
     * @return \App\Insis\StructType\DraftClient
     */
    public function setPhone($phone = null)
    {
        // validation for constraint: string
        if (!is_null($phone) && !is_string($phone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($phone, true), gettype($phone)), __LINE__);
        }
        $this->phone = $phone;
        return $this;
    }
}
