<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getBillByKeyFields StructType
 * Meta information extracted from the WSDL
 * - type: tns:getBillByKeyFields
 * @subpackage Structs
 */
class GetBillByKeyFields extends AbstractStructBase
{
    /**
     * The aBill
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Insis\StructType\Bill
     */
    public $aBill;
    /**
     * The from
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $from;
    /**
     * The to
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $to;
    /**
     * Constructor method for getBillByKeyFields
     * @uses GetBillByKeyFields::setABill()
     * @uses GetBillByKeyFields::setFrom()
     * @uses GetBillByKeyFields::setTo()
     * @param \App\Insis\StructType\Bill $aBill
     * @param int $from
     * @param int $to
     */
    public function __construct(\App\Insis\StructType\Bill $aBill = null, $from = null, $to = null)
    {
        $this
            ->setABill($aBill)
            ->setFrom($from)
            ->setTo($to);
    }
    /**
     * Get aBill value
     * @return \App\Insis\StructType\Bill|null
     */
    public function getABill()
    {
        return $this->aBill;
    }
    /**
     * Set aBill value
     * @param \App\Insis\StructType\Bill $aBill
     * @return \App\Insis\StructType\GetBillByKeyFields
     */
    public function setABill(\App\Insis\StructType\Bill $aBill = null)
    {
        $this->aBill = $aBill;
        return $this;
    }
    /**
     * Get from value
     * @return int|null
     */
    public function getFrom()
    {
        return $this->from;
    }
    /**
     * Set from value
     * @param int $from
     * @return \App\Insis\StructType\GetBillByKeyFields
     */
    public function setFrom($from = null)
    {
        // validation for constraint: int
        if (!is_null($from) && !(is_int($from) || ctype_digit($from))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($from, true), gettype($from)), __LINE__);
        }
        $this->from = $from;
        return $this;
    }
    /**
     * Get to value
     * @return int|null
     */
    public function getTo()
    {
        return $this->to;
    }
    /**
     * Set to value
     * @param int $to
     * @return \App\Insis\StructType\GetBillByKeyFields
     */
    public function setTo($to = null)
    {
        // validation for constraint: int
        if (!is_null($to) && !(is_int($to) || ctype_digit($to))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($to, true), gettype($to)), __LINE__);
        }
        $this->to = $to;
        return $this;
    }
}
