<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getLimitConditions StructType
 * Meta information extracted from the WSDL
 * - type: tns:getLimitConditions
 * @subpackage Structs
 */
class GetLimitConditions extends AbstractStructBase
{
    /**
     * The aPolicyID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aPolicyID;
    /**
     * The aAnnexID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aAnnexID;
    /**
     * The aobjectID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aobjectID;
    /**
     * The aCoverType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aCoverType;
    /**
     * The aFractType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aFractType;
    /**
     * The aParams
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\ObjectParam[]
     */
    public $aParams;
    /**
     * Constructor method for getLimitConditions
     * @uses GetLimitConditions::setAPolicyID()
     * @uses GetLimitConditions::setAAnnexID()
     * @uses GetLimitConditions::setAobjectID()
     * @uses GetLimitConditions::setACoverType()
     * @uses GetLimitConditions::setAFractType()
     * @uses GetLimitConditions::setAParams()
     * @param int $aPolicyID
     * @param int $aAnnexID
     * @param int $aobjectID
     * @param string $aCoverType
     * @param string $aFractType
     * @param \App\Insis\StructType\ObjectParam[] $aParams
     */
    public function __construct($aPolicyID = null, $aAnnexID = null, $aobjectID = null, $aCoverType = null, $aFractType = null, array $aParams = array())
    {
        $this
            ->setAPolicyID($aPolicyID)
            ->setAAnnexID($aAnnexID)
            ->setAobjectID($aobjectID)
            ->setACoverType($aCoverType)
            ->setAFractType($aFractType)
            ->setAParams($aParams);
    }
    /**
     * Get aPolicyID value
     * @return int|null
     */
    public function getAPolicyID()
    {
        return $this->aPolicyID;
    }
    /**
     * Set aPolicyID value
     * @param int $aPolicyID
     * @return \App\Insis\StructType\GetLimitConditions
     */
    public function setAPolicyID($aPolicyID = null)
    {
        // validation for constraint: int
        if (!is_null($aPolicyID) && !(is_int($aPolicyID) || ctype_digit($aPolicyID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aPolicyID, true), gettype($aPolicyID)), __LINE__);
        }
        $this->aPolicyID = $aPolicyID;
        return $this;
    }
    /**
     * Get aAnnexID value
     * @return int|null
     */
    public function getAAnnexID()
    {
        return $this->aAnnexID;
    }
    /**
     * Set aAnnexID value
     * @param int $aAnnexID
     * @return \App\Insis\StructType\GetLimitConditions
     */
    public function setAAnnexID($aAnnexID = null)
    {
        // validation for constraint: int
        if (!is_null($aAnnexID) && !(is_int($aAnnexID) || ctype_digit($aAnnexID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aAnnexID, true), gettype($aAnnexID)), __LINE__);
        }
        $this->aAnnexID = $aAnnexID;
        return $this;
    }
    /**
     * Get aobjectID value
     * @return int|null
     */
    public function getAobjectID()
    {
        return $this->aobjectID;
    }
    /**
     * Set aobjectID value
     * @param int $aobjectID
     * @return \App\Insis\StructType\GetLimitConditions
     */
    public function setAobjectID($aobjectID = null)
    {
        // validation for constraint: int
        if (!is_null($aobjectID) && !(is_int($aobjectID) || ctype_digit($aobjectID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aobjectID, true), gettype($aobjectID)), __LINE__);
        }
        $this->aobjectID = $aobjectID;
        return $this;
    }
    /**
     * Get aCoverType value
     * @return string|null
     */
    public function getACoverType()
    {
        return $this->aCoverType;
    }
    /**
     * Set aCoverType value
     * @param string $aCoverType
     * @return \App\Insis\StructType\GetLimitConditions
     */
    public function setACoverType($aCoverType = null)
    {
        // validation for constraint: string
        if (!is_null($aCoverType) && !is_string($aCoverType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aCoverType, true), gettype($aCoverType)), __LINE__);
        }
        $this->aCoverType = $aCoverType;
        return $this;
    }
    /**
     * Get aFractType value
     * @return string|null
     */
    public function getAFractType()
    {
        return $this->aFractType;
    }
    /**
     * Set aFractType value
     * @param string $aFractType
     * @return \App\Insis\StructType\GetLimitConditions
     */
    public function setAFractType($aFractType = null)
    {
        // validation for constraint: string
        if (!is_null($aFractType) && !is_string($aFractType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aFractType, true), gettype($aFractType)), __LINE__);
        }
        $this->aFractType = $aFractType;
        return $this;
    }
    /**
     * Get aParams value
     * @return \App\Insis\StructType\ObjectParam[]|null
     */
    public function getAParams()
    {
        return $this->aParams;
    }
    /**
     * This method is responsible for validating the values passed to the setAParams method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAParams method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAParamsForArrayConstraintsFromSetAParams(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getLimitConditionsAParamsItem) {
            // validation for constraint: itemType
            if (!$getLimitConditionsAParamsItem instanceof \App\Insis\StructType\ObjectParam) {
                $invalidValues[] = is_object($getLimitConditionsAParamsItem) ? get_class($getLimitConditionsAParamsItem) : sprintf('%s(%s)', gettype($getLimitConditionsAParamsItem), var_export($getLimitConditionsAParamsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aParams property can only contain items of type \App\Insis\StructType\ObjectParam, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aParams value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectParam[] $aParams
     * @return \App\Insis\StructType\GetLimitConditions
     */
    public function setAParams(array $aParams = array())
    {
        // validation for constraint: array
        if ('' !== ($aParamsArrayErrorMessage = self::validateAParamsForArrayConstraintsFromSetAParams($aParams))) {
            throw new \InvalidArgumentException($aParamsArrayErrorMessage, __LINE__);
        }
        $this->aParams = $aParams;
        return $this;
    }
    /**
     * Add item to aParams value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectParam $item
     * @return \App\Insis\StructType\GetLimitConditions
     */
    public function addToAParams(\App\Insis\StructType\ObjectParam $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\ObjectParam) {
            throw new \InvalidArgumentException(sprintf('The aParams property can only contain items of type \App\Insis\StructType\ObjectParam, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aParams[] = $item;
        return $this;
    }
}
