<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getPolicyAppsResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:getPolicyAppsResponse
 * @subpackage Structs
 */
class GetPolicyAppsResponse extends AbstractStructBase
{
    /**
     * The return
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\Application[]
     */
    public $return;
    /**
     * Constructor method for getPolicyAppsResponse
     * @uses GetPolicyAppsResponse::setReturn()
     * @param \App\Insis\StructType\Application[] $return
     */
    public function __construct(array $return = array())
    {
        $this
            ->setReturn($return);
    }
    /**
     * Get return value
     * @return \App\Insis\StructType\Application[]|null
     */
    public function getReturn()
    {
        return $this->return;
    }
    /**
     * This method is responsible for validating the values passed to the setReturn method
     * This method is willingly generated in order to preserve the one-line inline validation within the setReturn method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateReturnForArrayConstraintsFromSetReturn(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getPolicyAppsResponseReturnItem) {
            // validation for constraint: itemType
            if (!$getPolicyAppsResponseReturnItem instanceof \App\Insis\StructType\Application) {
                $invalidValues[] = is_object($getPolicyAppsResponseReturnItem) ? get_class($getPolicyAppsResponseReturnItem) : sprintf('%s(%s)', gettype($getPolicyAppsResponseReturnItem), var_export($getPolicyAppsResponseReturnItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The return property can only contain items of type \App\Insis\StructType\Application, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set return value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\Application[] $return
     * @return \App\Insis\StructType\GetPolicyAppsResponse
     */
    public function setReturn(array $return = array())
    {
        // validation for constraint: array
        if ('' !== ($returnArrayErrorMessage = self::validateReturnForArrayConstraintsFromSetReturn($return))) {
            throw new \InvalidArgumentException($returnArrayErrorMessage, __LINE__);
        }
        $this->return = $return;
        return $this;
    }
    /**
     * Add item to return value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\Application $item
     * @return \App\Insis\StructType\GetPolicyAppsResponse
     */
    public function addToReturn(\App\Insis\StructType\Application $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\Application) {
            throw new \InvalidArgumentException(sprintf('The return property can only contain items of type \App\Insis\StructType\Application, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->return[] = $item;
        return $this;
    }
}
