<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getPremiumOGPOAuto StructType
 * Meta information extracted from the WSDL
 * - type: tns:getPremiumOGPOAuto
 * @subpackage Structs
 */
class GetPremiumOGPOAuto extends AbstractStructBase
{
    /**
     * The aClients
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $aClients;
    /**
     * The aCars
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $aCars;
    /**
     * The aBeginDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aBeginDate;
    /**
     * The aEndDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aEndDate;
    /**
     * Constructor method for getPremiumOGPOAuto
     * @uses GetPremiumOGPOAuto::setAClients()
     * @uses GetPremiumOGPOAuto::setACars()
     * @uses GetPremiumOGPOAuto::setABeginDate()
     * @uses GetPremiumOGPOAuto::setAEndDate()
     * @param int[] $aClients
     * @param int[] $aCars
     * @param string $aBeginDate
     * @param string $aEndDate
     */
    public function __construct(array $aClients = array(), array $aCars = array(), $aBeginDate = null, $aEndDate = null)
    {
        $this
            ->setAClients($aClients)
            ->setACars($aCars)
            ->setABeginDate($aBeginDate)
            ->setAEndDate($aEndDate);
    }
    /**
     * Get aClients value
     * @return int[]|null
     */
    public function getAClients()
    {
        return $this->aClients;
    }
    /**
     * This method is responsible for validating the values passed to the setAClients method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAClients method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAClientsForArrayConstraintsFromSetAClients(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getPremiumOGPOAutoAClientsItem) {
            // validation for constraint: itemType
            if (!(is_int($getPremiumOGPOAutoAClientsItem) || ctype_digit($getPremiumOGPOAutoAClientsItem))) {
                $invalidValues[] = is_object($getPremiumOGPOAutoAClientsItem) ? get_class($getPremiumOGPOAutoAClientsItem) : sprintf('%s(%s)', gettype($getPremiumOGPOAutoAClientsItem), var_export($getPremiumOGPOAutoAClientsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aClients property can only contain items of type long, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aClients value
     * @throws \InvalidArgumentException
     * @param int[] $aClients
     * @return \App\Insis\StructType\GetPremiumOGPOAuto
     */
    public function setAClients(array $aClients = array())
    {
        // validation for constraint: array
        if ('' !== ($aClientsArrayErrorMessage = self::validateAClientsForArrayConstraintsFromSetAClients($aClients))) {
            throw new \InvalidArgumentException($aClientsArrayErrorMessage, __LINE__);
        }
        $this->aClients = $aClients;
        return $this;
    }
    /**
     * Add item to aClients value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \App\Insis\StructType\GetPremiumOGPOAuto
     */
    public function addToAClients($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The aClients property can only contain items of type long, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aClients[] = $item;
        return $this;
    }
    /**
     * Get aCars value
     * @return int[]|null
     */
    public function getACars()
    {
        return $this->aCars;
    }
    /**
     * This method is responsible for validating the values passed to the setACars method
     * This method is willingly generated in order to preserve the one-line inline validation within the setACars method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateACarsForArrayConstraintsFromSetACars(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getPremiumOGPOAutoACarsItem) {
            // validation for constraint: itemType
            if (!(is_int($getPremiumOGPOAutoACarsItem) || ctype_digit($getPremiumOGPOAutoACarsItem))) {
                $invalidValues[] = is_object($getPremiumOGPOAutoACarsItem) ? get_class($getPremiumOGPOAutoACarsItem) : sprintf('%s(%s)', gettype($getPremiumOGPOAutoACarsItem), var_export($getPremiumOGPOAutoACarsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aCars property can only contain items of type long, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aCars value
     * @throws \InvalidArgumentException
     * @param int[] $aCars
     * @return \App\Insis\StructType\GetPremiumOGPOAuto
     */
    public function setACars(array $aCars = array())
    {
        // validation for constraint: array
        if ('' !== ($aCarsArrayErrorMessage = self::validateACarsForArrayConstraintsFromSetACars($aCars))) {
            throw new \InvalidArgumentException($aCarsArrayErrorMessage, __LINE__);
        }
        $this->aCars = $aCars;
        return $this;
    }
    /**
     * Add item to aCars value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \App\Insis\StructType\GetPremiumOGPOAuto
     */
    public function addToACars($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The aCars property can only contain items of type long, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aCars[] = $item;
        return $this;
    }
    /**
     * Get aBeginDate value
     * @return string|null
     */
    public function getABeginDate()
    {
        return $this->aBeginDate;
    }
    /**
     * Set aBeginDate value
     * @param string $aBeginDate
     * @return \App\Insis\StructType\GetPremiumOGPOAuto
     */
    public function setABeginDate($aBeginDate = null)
    {
        // validation for constraint: string
        if (!is_null($aBeginDate) && !is_string($aBeginDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aBeginDate, true), gettype($aBeginDate)), __LINE__);
        }
        $this->aBeginDate = $aBeginDate;
        return $this;
    }
    /**
     * Get aEndDate value
     * @return string|null
     */
    public function getAEndDate()
    {
        return $this->aEndDate;
    }
    /**
     * Set aEndDate value
     * @param string $aEndDate
     * @return \App\Insis\StructType\GetPremiumOGPOAuto
     */
    public function setAEndDate($aEndDate = null)
    {
        // validation for constraint: string
        if (!is_null($aEndDate) && !is_string($aEndDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aEndDate, true), gettype($aEndDate)), __LINE__);
        }
        $this->aEndDate = $aEndDate;
        return $this;
    }
}
