<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getPremiumOGPOAutoByIIN StructType
 * Meta information extracted from the WSDL
 * - type: tns:getPremiumOGPOAutoByIIN
 * @subpackage Structs
 */
class GetPremiumOGPOAutoByIIN extends AbstractStructBase
{
    /**
     * The aClients
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\OgpoClient[]
     */
    public $aClients;
    /**
     * The aCars
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $aCars;
    /**
     * The aBeginDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aBeginDate;
    /**
     * The aEndDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aEndDate;
    /**
     * Constructor method for getPremiumOGPOAutoByIIN
     * @uses GetPremiumOGPOAutoByIIN::setAClients()
     * @uses GetPremiumOGPOAutoByIIN::setACars()
     * @uses GetPremiumOGPOAutoByIIN::setABeginDate()
     * @uses GetPremiumOGPOAutoByIIN::setAEndDate()
     * @param \App\Insis\StructType\OgpoClient[] $aClients
     * @param string[] $aCars
     * @param string $aBeginDate
     * @param string $aEndDate
     */
    public function __construct(array $aClients = array(), array $aCars = array(), $aBeginDate = null, $aEndDate = null)
    {
        $this
            ->setAClients($aClients)
            ->setACars($aCars)
            ->setABeginDate($aBeginDate)
            ->setAEndDate($aEndDate);
    }
    /**
     * Get aClients value
     * @return \App\Insis\StructType\OgpoClient[]|null
     */
    public function getAClients()
    {
        return $this->aClients;
    }
    /**
     * This method is responsible for validating the values passed to the setAClients method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAClients method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAClientsForArrayConstraintsFromSetAClients(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getPremiumOGPOAutoByIINAClientsItem) {
            // validation for constraint: itemType
            if (!$getPremiumOGPOAutoByIINAClientsItem instanceof \App\Insis\StructType\OgpoClient) {
                $invalidValues[] = is_object($getPremiumOGPOAutoByIINAClientsItem) ? get_class($getPremiumOGPOAutoByIINAClientsItem) : sprintf('%s(%s)', gettype($getPremiumOGPOAutoByIINAClientsItem), var_export($getPremiumOGPOAutoByIINAClientsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aClients property can only contain items of type \App\Insis\StructType\OgpoClient, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aClients value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\OgpoClient[] $aClients
     * @return \App\Insis\StructType\GetPremiumOGPOAutoByIIN
     */
    public function setAClients(array $aClients = array())
    {
        // validation for constraint: array
        if ('' !== ($aClientsArrayErrorMessage = self::validateAClientsForArrayConstraintsFromSetAClients($aClients))) {
            throw new \InvalidArgumentException($aClientsArrayErrorMessage, __LINE__);
        }
        $this->aClients = $aClients;
        return $this;
    }
    /**
     * Add item to aClients value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\OgpoClient $item
     * @return \App\Insis\StructType\GetPremiumOGPOAutoByIIN
     */
    public function addToAClients(\App\Insis\StructType\OgpoClient $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\OgpoClient) {
            throw new \InvalidArgumentException(sprintf('The aClients property can only contain items of type \App\Insis\StructType\OgpoClient, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aClients[] = $item;
        return $this;
    }
    /**
     * Get aCars value
     * @return string[]|null
     */
    public function getACars()
    {
        return $this->aCars;
    }
    /**
     * This method is responsible for validating the values passed to the setACars method
     * This method is willingly generated in order to preserve the one-line inline validation within the setACars method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateACarsForArrayConstraintsFromSetACars(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getPremiumOGPOAutoByIINACarsItem) {
            // validation for constraint: itemType
            if (!is_string($getPremiumOGPOAutoByIINACarsItem)) {
                $invalidValues[] = is_object($getPremiumOGPOAutoByIINACarsItem) ? get_class($getPremiumOGPOAutoByIINACarsItem) : sprintf('%s(%s)', gettype($getPremiumOGPOAutoByIINACarsItem), var_export($getPremiumOGPOAutoByIINACarsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aCars property can only contain items of type string, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aCars value
     * @throws \InvalidArgumentException
     * @param string[] $aCars
     * @return \App\Insis\StructType\GetPremiumOGPOAutoByIIN
     */
    public function setACars(array $aCars = array())
    {
        // validation for constraint: array
        if ('' !== ($aCarsArrayErrorMessage = self::validateACarsForArrayConstraintsFromSetACars($aCars))) {
            throw new \InvalidArgumentException($aCarsArrayErrorMessage, __LINE__);
        }
        $this->aCars = $aCars;
        return $this;
    }
    /**
     * Add item to aCars value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \App\Insis\StructType\GetPremiumOGPOAutoByIIN
     */
    public function addToACars($item)
    {
        // validation for constraint: itemType
        if (!is_string($item)) {
            throw new \InvalidArgumentException(sprintf('The aCars property can only contain items of type string, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aCars[] = $item;
        return $this;
    }
    /**
     * Get aBeginDate value
     * @return string|null
     */
    public function getABeginDate()
    {
        return $this->aBeginDate;
    }
    /**
     * Set aBeginDate value
     * @param string $aBeginDate
     * @return \App\Insis\StructType\GetPremiumOGPOAutoByIIN
     */
    public function setABeginDate($aBeginDate = null)
    {
        // validation for constraint: string
        if (!is_null($aBeginDate) && !is_string($aBeginDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aBeginDate, true), gettype($aBeginDate)), __LINE__);
        }
        $this->aBeginDate = $aBeginDate;
        return $this;
    }
    /**
     * Get aEndDate value
     * @return string|null
     */
    public function getAEndDate()
    {
        return $this->aEndDate;
    }
    /**
     * Set aEndDate value
     * @param string $aEndDate
     * @return \App\Insis\StructType\GetPremiumOGPOAutoByIIN
     */
    public function setAEndDate($aEndDate = null)
    {
        // validation for constraint: string
        if (!is_null($aEndDate) && !is_string($aEndDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aEndDate, true), gettype($aEndDate)), __LINE__);
        }
        $this->aEndDate = $aEndDate;
        return $this;
    }
}
