<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getSiebelBox StructType
 * Meta information extracted from the WSDL
 * - type: tns:getSiebelBox
 * @subpackage Structs
 */
class GetSiebelBox extends AbstractStructBase
{
    /**
     * The args
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var string[]
     */
    public $args;
    /**
     * Constructor method for getSiebelBox
     * @uses GetSiebelBox::setArgs()
     * @param string[] $args
     */
    public function __construct(array $args = array())
    {
        $this
            ->setArgs($args);
    }
    /**
     * Get args value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string[]|null
     */
    public function getArgs()
    {
        return isset($this->args) ? $this->args : null;
    }
    /**
     * This method is responsible for validating the values passed to the setArgs method
     * This method is willingly generated in order to preserve the one-line inline validation within the setArgs method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateArgsForArrayConstraintsFromSetArgs(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getSiebelBoxArgsItem) {
            // validation for constraint: itemType
            if (!is_string($getSiebelBoxArgsItem)) {
                $invalidValues[] = is_object($getSiebelBoxArgsItem) ? get_class($getSiebelBoxArgsItem) : sprintf('%s(%s)', gettype($getSiebelBoxArgsItem), var_export($getSiebelBoxArgsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The args property can only contain items of type string, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set args value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param string[] $args
     * @return \App\Insis\StructType\GetSiebelBox
     */
    public function setArgs(array $args = array())
    {
        // validation for constraint: array
        if ('' !== ($argsArrayErrorMessage = self::validateArgsForArrayConstraintsFromSetArgs($args))) {
            throw new \InvalidArgumentException($argsArrayErrorMessage, __LINE__);
        }
        if (is_null($args) || (is_array($args) && empty($args))) {
            unset($this->args);
        } else {
            $this->args = $args;
        }
        return $this;
    }
    /**
     * Add item to args value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \App\Insis\StructType\GetSiebelBox
     */
    public function addToArgs($item)
    {
        // validation for constraint: itemType
        if (!is_string($item)) {
            throw new \InvalidArgumentException(sprintf('The args property can only contain items of type string, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->args[] = $item;
        return $this;
    }
}
