<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getSouvenirs StructType
 * Meta information extracted from the WSDL
 * - type: tns:getSouvenirs
 * @subpackage Structs
 */
class GetSouvenirs extends AbstractStructBase
{
    /**
     * The aInsrType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aInsrType;
    /**
     * The aPolicyID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aPolicyID;
    /**
     * The aAgentID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aAgentID;
    /**
     * The aSalesChanelID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aSalesChanelID;
    /**
     * Constructor method for getSouvenirs
     * @uses GetSouvenirs::setAInsrType()
     * @uses GetSouvenirs::setAPolicyID()
     * @uses GetSouvenirs::setAAgentID()
     * @uses GetSouvenirs::setASalesChanelID()
     * @param string $aInsrType
     * @param int $aPolicyID
     * @param int $aAgentID
     * @param int $aSalesChanelID
     */
    public function __construct($aInsrType = null, $aPolicyID = null, $aAgentID = null, $aSalesChanelID = null)
    {
        $this
            ->setAInsrType($aInsrType)
            ->setAPolicyID($aPolicyID)
            ->setAAgentID($aAgentID)
            ->setASalesChanelID($aSalesChanelID);
    }
    /**
     * Get aInsrType value
     * @return string|null
     */
    public function getAInsrType()
    {
        return $this->aInsrType;
    }
    /**
     * Set aInsrType value
     * @param string $aInsrType
     * @return \App\Insis\StructType\GetSouvenirs
     */
    public function setAInsrType($aInsrType = null)
    {
        // validation for constraint: string
        if (!is_null($aInsrType) && !is_string($aInsrType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aInsrType, true), gettype($aInsrType)), __LINE__);
        }
        $this->aInsrType = $aInsrType;
        return $this;
    }
    /**
     * Get aPolicyID value
     * @return int|null
     */
    public function getAPolicyID()
    {
        return $this->aPolicyID;
    }
    /**
     * Set aPolicyID value
     * @param int $aPolicyID
     * @return \App\Insis\StructType\GetSouvenirs
     */
    public function setAPolicyID($aPolicyID = null)
    {
        // validation for constraint: int
        if (!is_null($aPolicyID) && !(is_int($aPolicyID) || ctype_digit($aPolicyID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aPolicyID, true), gettype($aPolicyID)), __LINE__);
        }
        $this->aPolicyID = $aPolicyID;
        return $this;
    }
    /**
     * Get aAgentID value
     * @return int|null
     */
    public function getAAgentID()
    {
        return $this->aAgentID;
    }
    /**
     * Set aAgentID value
     * @param int $aAgentID
     * @return \App\Insis\StructType\GetSouvenirs
     */
    public function setAAgentID($aAgentID = null)
    {
        // validation for constraint: int
        if (!is_null($aAgentID) && !(is_int($aAgentID) || ctype_digit($aAgentID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aAgentID, true), gettype($aAgentID)), __LINE__);
        }
        $this->aAgentID = $aAgentID;
        return $this;
    }
    /**
     * Get aSalesChanelID value
     * @return int|null
     */
    public function getASalesChanelID()
    {
        return $this->aSalesChanelID;
    }
    /**
     * Set aSalesChanelID value
     * @param int $aSalesChanelID
     * @return \App\Insis\StructType\GetSouvenirs
     */
    public function setASalesChanelID($aSalesChanelID = null)
    {
        // validation for constraint: int
        if (!is_null($aSalesChanelID) && !(is_int($aSalesChanelID) || ctype_digit($aSalesChanelID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aSalesChanelID, true), gettype($aSalesChanelID)), __LINE__);
        }
        $this->aSalesChanelID = $aSalesChanelID;
        return $this;
    }
}
