<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for halykTravelTrace StructType
 * @subpackage Structs
 */
class HalykTravelTrace extends AbstractStructBase
{
    /**
     * The arrival_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $arrival_date;
    /**
     * The arrival_point
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $arrival_point;
    /**
     * The departure_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $departure_date;
    /**
     * The departure_point
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $departure_point;
    /**
     * The flight_type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $flight_type;
    /**
     * The recordId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $recordId;
    /**
     * The traceId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $traceId;
    /**
     * The trip_no
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $trip_no;
    /**
     * Constructor method for halykTravelTrace
     * @uses HalykTravelTrace::setArrival_date()
     * @uses HalykTravelTrace::setArrival_point()
     * @uses HalykTravelTrace::setDeparture_date()
     * @uses HalykTravelTrace::setDeparture_point()
     * @uses HalykTravelTrace::setFlight_type()
     * @uses HalykTravelTrace::setRecordId()
     * @uses HalykTravelTrace::setTraceId()
     * @uses HalykTravelTrace::setTrip_no()
     * @param string $arrival_date
     * @param string $arrival_point
     * @param string $departure_date
     * @param string $departure_point
     * @param string $flight_type
     * @param int $recordId
     * @param int $traceId
     * @param int $trip_no
     */
    public function __construct($arrival_date = null, $arrival_point = null, $departure_date = null, $departure_point = null, $flight_type = null, $recordId = null, $traceId = null, $trip_no = null)
    {
        $this
            ->setArrival_date($arrival_date)
            ->setArrival_point($arrival_point)
            ->setDeparture_date($departure_date)
            ->setDeparture_point($departure_point)
            ->setFlight_type($flight_type)
            ->setRecordId($recordId)
            ->setTraceId($traceId)
            ->setTrip_no($trip_no);
    }
    /**
     * Get arrival_date value
     * @return string|null
     */
    public function getArrival_date()
    {
        return $this->arrival_date;
    }
    /**
     * Set arrival_date value
     * @param string $arrival_date
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setArrival_date($arrival_date = null)
    {
        // validation for constraint: string
        if (!is_null($arrival_date) && !is_string($arrival_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($arrival_date, true), gettype($arrival_date)), __LINE__);
        }
        $this->arrival_date = $arrival_date;
        return $this;
    }
    /**
     * Get arrival_point value
     * @return string|null
     */
    public function getArrival_point()
    {
        return $this->arrival_point;
    }
    /**
     * Set arrival_point value
     * @param string $arrival_point
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setArrival_point($arrival_point = null)
    {
        // validation for constraint: string
        if (!is_null($arrival_point) && !is_string($arrival_point)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($arrival_point, true), gettype($arrival_point)), __LINE__);
        }
        $this->arrival_point = $arrival_point;
        return $this;
    }
    /**
     * Get departure_date value
     * @return string|null
     */
    public function getDeparture_date()
    {
        return $this->departure_date;
    }
    /**
     * Set departure_date value
     * @param string $departure_date
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setDeparture_date($departure_date = null)
    {
        // validation for constraint: string
        if (!is_null($departure_date) && !is_string($departure_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($departure_date, true), gettype($departure_date)), __LINE__);
        }
        $this->departure_date = $departure_date;
        return $this;
    }
    /**
     * Get departure_point value
     * @return string|null
     */
    public function getDeparture_point()
    {
        return $this->departure_point;
    }
    /**
     * Set departure_point value
     * @param string $departure_point
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setDeparture_point($departure_point = null)
    {
        // validation for constraint: string
        if (!is_null($departure_point) && !is_string($departure_point)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($departure_point, true), gettype($departure_point)), __LINE__);
        }
        $this->departure_point = $departure_point;
        return $this;
    }
    /**
     * Get flight_type value
     * @return string|null
     */
    public function getFlight_type()
    {
        return $this->flight_type;
    }
    /**
     * Set flight_type value
     * @param string $flight_type
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setFlight_type($flight_type = null)
    {
        // validation for constraint: string
        if (!is_null($flight_type) && !is_string($flight_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($flight_type, true), gettype($flight_type)), __LINE__);
        }
        $this->flight_type = $flight_type;
        return $this;
    }
    /**
     * Get recordId value
     * @return int|null
     */
    public function getRecordId()
    {
        return $this->recordId;
    }
    /**
     * Set recordId value
     * @param int $recordId
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setRecordId($recordId = null)
    {
        // validation for constraint: int
        if (!is_null($recordId) && !(is_int($recordId) || ctype_digit($recordId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($recordId, true), gettype($recordId)), __LINE__);
        }
        $this->recordId = $recordId;
        return $this;
    }
    /**
     * Get traceId value
     * @return int|null
     */
    public function getTraceId()
    {
        return $this->traceId;
    }
    /**
     * Set traceId value
     * @param int $traceId
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setTraceId($traceId = null)
    {
        // validation for constraint: int
        if (!is_null($traceId) && !(is_int($traceId) || ctype_digit($traceId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($traceId, true), gettype($traceId)), __LINE__);
        }
        $this->traceId = $traceId;
        return $this;
    }
    /**
     * Get trip_no value
     * @return int|null
     */
    public function getTrip_no()
    {
        return $this->trip_no;
    }
    /**
     * Set trip_no value
     * @param int $trip_no
     * @return \App\Insis\StructType\HalykTravelTrace
     */
    public function setTrip_no($trip_no = null)
    {
        // validation for constraint: int
        if (!is_null($trip_no) && !(is_int($trip_no) || ctype_digit($trip_no))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($trip_no, true), gettype($trip_no)), __LINE__);
        }
        $this->trip_no = $trip_no;
        return $this;
    }
}
