<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for oil StructType
 * @subpackage Structs
 */
class Oil extends AbstractStructBase
{
    /**
     * The annul
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $annul;
    /**
     * The annulDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $annulDate;
    /**
     * The beginDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $beginDate;
    /**
     * The coupon
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $coupon;
    /**
     * The couponQR
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $couponQR;
    /**
     * The endDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $endDate;
    /**
     * The fileName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fileName;
    /**
     * The iin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $iin;
    /**
     * The issueDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $issueDate;
    /**
     * The issueDateLast
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $issueDateLast;
    /**
     * The oilDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $oilDate;
    /**
     * The oilId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $oilId;
    /**
     * The policyId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $policyId;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * Constructor method for oil
     * @uses Oil::setAnnul()
     * @uses Oil::setAnnulDate()
     * @uses Oil::setBeginDate()
     * @uses Oil::setCoupon()
     * @uses Oil::setCouponQR()
     * @uses Oil::setEndDate()
     * @uses Oil::setFileName()
     * @uses Oil::setIin()
     * @uses Oil::setIssueDate()
     * @uses Oil::setIssueDateLast()
     * @uses Oil::setOilDate()
     * @uses Oil::setOilId()
     * @uses Oil::setPolicyId()
     * @uses Oil::setStatus()
     * @param string $annul
     * @param string $annulDate
     * @param string $beginDate
     * @param string $coupon
     * @param string $couponQR
     * @param string $endDate
     * @param string $fileName
     * @param string $iin
     * @param string $issueDate
     * @param string $issueDateLast
     * @param string $oilDate
     * @param int $oilId
     * @param int $policyId
     * @param string $status
     */
    public function __construct($annul = null, $annulDate = null, $beginDate = null, $coupon = null, $couponQR = null, $endDate = null, $fileName = null, $iin = null, $issueDate = null, $issueDateLast = null, $oilDate = null, $oilId = null, $policyId = null, $status = null)
    {
        $this
            ->setAnnul($annul)
            ->setAnnulDate($annulDate)
            ->setBeginDate($beginDate)
            ->setCoupon($coupon)
            ->setCouponQR($couponQR)
            ->setEndDate($endDate)
            ->setFileName($fileName)
            ->setIin($iin)
            ->setIssueDate($issueDate)
            ->setIssueDateLast($issueDateLast)
            ->setOilDate($oilDate)
            ->setOilId($oilId)
            ->setPolicyId($policyId)
            ->setStatus($status);
    }
    /**
     * Get annul value
     * @return string|null
     */
    public function getAnnul()
    {
        return $this->annul;
    }
    /**
     * Set annul value
     * @param string $annul
     * @return \App\Insis\StructType\Oil
     */
    public function setAnnul($annul = null)
    {
        // validation for constraint: string
        if (!is_null($annul) && !is_string($annul)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($annul, true), gettype($annul)), __LINE__);
        }
        $this->annul = $annul;
        return $this;
    }
    /**
     * Get annulDate value
     * @return string|null
     */
    public function getAnnulDate()
    {
        return $this->annulDate;
    }
    /**
     * Set annulDate value
     * @param string $annulDate
     * @return \App\Insis\StructType\Oil
     */
    public function setAnnulDate($annulDate = null)
    {
        // validation for constraint: string
        if (!is_null($annulDate) && !is_string($annulDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($annulDate, true), gettype($annulDate)), __LINE__);
        }
        $this->annulDate = $annulDate;
        return $this;
    }
    /**
     * Get beginDate value
     * @return string|null
     */
    public function getBeginDate()
    {
        return $this->beginDate;
    }
    /**
     * Set beginDate value
     * @param string $beginDate
     * @return \App\Insis\StructType\Oil
     */
    public function setBeginDate($beginDate = null)
    {
        // validation for constraint: string
        if (!is_null($beginDate) && !is_string($beginDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($beginDate, true), gettype($beginDate)), __LINE__);
        }
        $this->beginDate = $beginDate;
        return $this;
    }
    /**
     * Get coupon value
     * @return string|null
     */
    public function getCoupon()
    {
        return $this->coupon;
    }
    /**
     * Set coupon value
     * @param string $coupon
     * @return \App\Insis\StructType\Oil
     */
    public function setCoupon($coupon = null)
    {
        // validation for constraint: string
        if (!is_null($coupon) && !is_string($coupon)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($coupon, true), gettype($coupon)), __LINE__);
        }
        $this->coupon = $coupon;
        return $this;
    }
    /**
     * Get couponQR value
     * @return string|null
     */
    public function getCouponQR()
    {
        return $this->couponQR;
    }
    /**
     * Set couponQR value
     * @param string $couponQR
     * @return \App\Insis\StructType\Oil
     */
    public function setCouponQR($couponQR = null)
    {
        // validation for constraint: string
        if (!is_null($couponQR) && !is_string($couponQR)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($couponQR, true), gettype($couponQR)), __LINE__);
        }
        $this->couponQR = $couponQR;
        return $this;
    }
    /**
     * Get endDate value
     * @return string|null
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param string $endDate
     * @return \App\Insis\StructType\Oil
     */
    public function setEndDate($endDate = null)
    {
        // validation for constraint: string
        if (!is_null($endDate) && !is_string($endDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($endDate, true), gettype($endDate)), __LINE__);
        }
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get fileName value
     * @return string|null
     */
    public function getFileName()
    {
        return $this->fileName;
    }
    /**
     * Set fileName value
     * @param string $fileName
     * @return \App\Insis\StructType\Oil
     */
    public function setFileName($fileName = null)
    {
        // validation for constraint: string
        if (!is_null($fileName) && !is_string($fileName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fileName, true), gettype($fileName)), __LINE__);
        }
        $this->fileName = $fileName;
        return $this;
    }
    /**
     * Get iin value
     * @return string|null
     */
    public function getIin()
    {
        return $this->iin;
    }
    /**
     * Set iin value
     * @param string $iin
     * @return \App\Insis\StructType\Oil
     */
    public function setIin($iin = null)
    {
        // validation for constraint: string
        if (!is_null($iin) && !is_string($iin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iin, true), gettype($iin)), __LINE__);
        }
        $this->iin = $iin;
        return $this;
    }
    /**
     * Get issueDate value
     * @return string|null
     */
    public function getIssueDate()
    {
        return $this->issueDate;
    }
    /**
     * Set issueDate value
     * @param string $issueDate
     * @return \App\Insis\StructType\Oil
     */
    public function setIssueDate($issueDate = null)
    {
        // validation for constraint: string
        if (!is_null($issueDate) && !is_string($issueDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($issueDate, true), gettype($issueDate)), __LINE__);
        }
        $this->issueDate = $issueDate;
        return $this;
    }
    /**
     * Get issueDateLast value
     * @return string|null
     */
    public function getIssueDateLast()
    {
        return $this->issueDateLast;
    }
    /**
     * Set issueDateLast value
     * @param string $issueDateLast
     * @return \App\Insis\StructType\Oil
     */
    public function setIssueDateLast($issueDateLast = null)
    {
        // validation for constraint: string
        if (!is_null($issueDateLast) && !is_string($issueDateLast)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($issueDateLast, true), gettype($issueDateLast)), __LINE__);
        }
        $this->issueDateLast = $issueDateLast;
        return $this;
    }
    /**
     * Get oilDate value
     * @return string|null
     */
    public function getOilDate()
    {
        return $this->oilDate;
    }
    /**
     * Set oilDate value
     * @param string $oilDate
     * @return \App\Insis\StructType\Oil
     */
    public function setOilDate($oilDate = null)
    {
        // validation for constraint: string
        if (!is_null($oilDate) && !is_string($oilDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($oilDate, true), gettype($oilDate)), __LINE__);
        }
        $this->oilDate = $oilDate;
        return $this;
    }
    /**
     * Get oilId value
     * @return int|null
     */
    public function getOilId()
    {
        return $this->oilId;
    }
    /**
     * Set oilId value
     * @param int $oilId
     * @return \App\Insis\StructType\Oil
     */
    public function setOilId($oilId = null)
    {
        // validation for constraint: int
        if (!is_null($oilId) && !(is_int($oilId) || ctype_digit($oilId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($oilId, true), gettype($oilId)), __LINE__);
        }
        $this->oilId = $oilId;
        return $this;
    }
    /**
     * Get policyId value
     * @return int|null
     */
    public function getPolicyId()
    {
        return $this->policyId;
    }
    /**
     * Set policyId value
     * @param int $policyId
     * @return \App\Insis\StructType\Oil
     */
    public function setPolicyId($policyId = null)
    {
        // validation for constraint: int
        if (!is_null($policyId) && !(is_int($policyId) || ctype_digit($policyId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($policyId, true), gettype($policyId)), __LINE__);
        }
        $this->policyId = $policyId;
        return $this;
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \App\Insis\StructType\Oil
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($status, true), gettype($status)), __LINE__);
        }
        $this->status = $status;
        return $this;
    }
}
