<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for propertyInsurance StructType
 * @subpackage Structs
 */
class PropertyInsurance extends AbstractStructBase
{
    /**
     * The dogDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dogDate;
    /**
     * The dogNum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dogNum;
    /**
     * The franchise
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $franchise;
    /**
     * The fromDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fromDate;
    /**
     * The partInjury
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $partInjury;
    /**
     * The paymentDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $paymentDate;
    /**
     * The premiumSum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $premiumSum;
    /**
     * The premiumSumStr
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $premiumSumStr;
    /**
     * The sum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $sum;
    /**
     * The sumstr
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sumstr;
    /**
     * The tariff
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tariff;
    /**
     * The toDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $toDate;
    /**
     * The totalInjury
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $totalInjury;
    /**
     * Constructor method for propertyInsurance
     * @uses PropertyInsurance::setDogDate()
     * @uses PropertyInsurance::setDogNum()
     * @uses PropertyInsurance::setFranchise()
     * @uses PropertyInsurance::setFromDate()
     * @uses PropertyInsurance::setPartInjury()
     * @uses PropertyInsurance::setPaymentDate()
     * @uses PropertyInsurance::setPremiumSum()
     * @uses PropertyInsurance::setPremiumSumStr()
     * @uses PropertyInsurance::setSum()
     * @uses PropertyInsurance::setSumstr()
     * @uses PropertyInsurance::setTariff()
     * @uses PropertyInsurance::setToDate()
     * @uses PropertyInsurance::setTotalInjury()
     * @param string $dogDate
     * @param string $dogNum
     * @param float $franchise
     * @param string $fromDate
     * @param float $partInjury
     * @param string $paymentDate
     * @param float $premiumSum
     * @param string $premiumSumStr
     * @param float $sum
     * @param string $sumstr
     * @param float $tariff
     * @param string $toDate
     * @param float $totalInjury
     */
    public function __construct($dogDate = null, $dogNum = null, $franchise = null, $fromDate = null, $partInjury = null, $paymentDate = null, $premiumSum = null, $premiumSumStr = null, $sum = null, $sumstr = null, $tariff = null, $toDate = null, $totalInjury = null)
    {
        $this
            ->setDogDate($dogDate)
            ->setDogNum($dogNum)
            ->setFranchise($franchise)
            ->setFromDate($fromDate)
            ->setPartInjury($partInjury)
            ->setPaymentDate($paymentDate)
            ->setPremiumSum($premiumSum)
            ->setPremiumSumStr($premiumSumStr)
            ->setSum($sum)
            ->setSumstr($sumstr)
            ->setTariff($tariff)
            ->setToDate($toDate)
            ->setTotalInjury($totalInjury);
    }
    /**
     * Get dogDate value
     * @return string|null
     */
    public function getDogDate()
    {
        return $this->dogDate;
    }
    /**
     * Set dogDate value
     * @param string $dogDate
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setDogDate($dogDate = null)
    {
        // validation for constraint: string
        if (!is_null($dogDate) && !is_string($dogDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dogDate, true), gettype($dogDate)), __LINE__);
        }
        $this->dogDate = $dogDate;
        return $this;
    }
    /**
     * Get dogNum value
     * @return string|null
     */
    public function getDogNum()
    {
        return $this->dogNum;
    }
    /**
     * Set dogNum value
     * @param string $dogNum
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setDogNum($dogNum = null)
    {
        // validation for constraint: string
        if (!is_null($dogNum) && !is_string($dogNum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dogNum, true), gettype($dogNum)), __LINE__);
        }
        $this->dogNum = $dogNum;
        return $this;
    }
    /**
     * Get franchise value
     * @return float|null
     */
    public function getFranchise()
    {
        return $this->franchise;
    }
    /**
     * Set franchise value
     * @param float $franchise
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setFranchise($franchise = null)
    {
        // validation for constraint: float
        if (!is_null($franchise) && !(is_float($franchise) || is_numeric($franchise))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($franchise, true), gettype($franchise)), __LINE__);
        }
        $this->franchise = $franchise;
        return $this;
    }
    /**
     * Get fromDate value
     * @return string|null
     */
    public function getFromDate()
    {
        return $this->fromDate;
    }
    /**
     * Set fromDate value
     * @param string $fromDate
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setFromDate($fromDate = null)
    {
        // validation for constraint: string
        if (!is_null($fromDate) && !is_string($fromDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fromDate, true), gettype($fromDate)), __LINE__);
        }
        $this->fromDate = $fromDate;
        return $this;
    }
    /**
     * Get partInjury value
     * @return float|null
     */
    public function getPartInjury()
    {
        return $this->partInjury;
    }
    /**
     * Set partInjury value
     * @param float $partInjury
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setPartInjury($partInjury = null)
    {
        // validation for constraint: float
        if (!is_null($partInjury) && !(is_float($partInjury) || is_numeric($partInjury))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($partInjury, true), gettype($partInjury)), __LINE__);
        }
        $this->partInjury = $partInjury;
        return $this;
    }
    /**
     * Get paymentDate value
     * @return string|null
     */
    public function getPaymentDate()
    {
        return $this->paymentDate;
    }
    /**
     * Set paymentDate value
     * @param string $paymentDate
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setPaymentDate($paymentDate = null)
    {
        // validation for constraint: string
        if (!is_null($paymentDate) && !is_string($paymentDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($paymentDate, true), gettype($paymentDate)), __LINE__);
        }
        $this->paymentDate = $paymentDate;
        return $this;
    }
    /**
     * Get premiumSum value
     * @return float|null
     */
    public function getPremiumSum()
    {
        return $this->premiumSum;
    }
    /**
     * Set premiumSum value
     * @param float $premiumSum
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setPremiumSum($premiumSum = null)
    {
        // validation for constraint: float
        if (!is_null($premiumSum) && !(is_float($premiumSum) || is_numeric($premiumSum))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($premiumSum, true), gettype($premiumSum)), __LINE__);
        }
        $this->premiumSum = $premiumSum;
        return $this;
    }
    /**
     * Get premiumSumStr value
     * @return string|null
     */
    public function getPremiumSumStr()
    {
        return $this->premiumSumStr;
    }
    /**
     * Set premiumSumStr value
     * @param string $premiumSumStr
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setPremiumSumStr($premiumSumStr = null)
    {
        // validation for constraint: string
        if (!is_null($premiumSumStr) && !is_string($premiumSumStr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($premiumSumStr, true), gettype($premiumSumStr)), __LINE__);
        }
        $this->premiumSumStr = $premiumSumStr;
        return $this;
    }
    /**
     * Get sum value
     * @return float|null
     */
    public function getSum()
    {
        return $this->sum;
    }
    /**
     * Set sum value
     * @param float $sum
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setSum($sum = null)
    {
        // validation for constraint: float
        if (!is_null($sum) && !(is_float($sum) || is_numeric($sum))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($sum, true), gettype($sum)), __LINE__);
        }
        $this->sum = $sum;
        return $this;
    }
    /**
     * Get sumstr value
     * @return string|null
     */
    public function getSumstr()
    {
        return $this->sumstr;
    }
    /**
     * Set sumstr value
     * @param string $sumstr
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setSumstr($sumstr = null)
    {
        // validation for constraint: string
        if (!is_null($sumstr) && !is_string($sumstr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sumstr, true), gettype($sumstr)), __LINE__);
        }
        $this->sumstr = $sumstr;
        return $this;
    }
    /**
     * Get tariff value
     * @return float|null
     */
    public function getTariff()
    {
        return $this->tariff;
    }
    /**
     * Set tariff value
     * @param float $tariff
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setTariff($tariff = null)
    {
        // validation for constraint: float
        if (!is_null($tariff) && !(is_float($tariff) || is_numeric($tariff))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tariff, true), gettype($tariff)), __LINE__);
        }
        $this->tariff = $tariff;
        return $this;
    }
    /**
     * Get toDate value
     * @return string|null
     */
    public function getToDate()
    {
        return $this->toDate;
    }
    /**
     * Set toDate value
     * @param string $toDate
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setToDate($toDate = null)
    {
        // validation for constraint: string
        if (!is_null($toDate) && !is_string($toDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($toDate, true), gettype($toDate)), __LINE__);
        }
        $this->toDate = $toDate;
        return $this;
    }
    /**
     * Get totalInjury value
     * @return float|null
     */
    public function getTotalInjury()
    {
        return $this->totalInjury;
    }
    /**
     * Set totalInjury value
     * @param float $totalInjury
     * @return \App\Insis\StructType\PropertyInsurance
     */
    public function setTotalInjury($totalInjury = null)
    {
        // validation for constraint: float
        if (!is_null($totalInjury) && !(is_float($totalInjury) || is_numeric($totalInjury))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($totalInjury, true), gettype($totalInjury)), __LINE__);
        }
        $this->totalInjury = $totalInjury;
        return $this;
    }
}
