<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sendPrintFormToEmailIPTest StructType
 * Meta information extracted from the WSDL
 * - type: tns:sendPrintFormToEmailIPTest
 * @subpackage Structs
 */
class SendPrintFormToEmailIPTest extends AbstractStructBase
{
    /**
     * The aPrintType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aPrintType;
    /**
     * The aPrintGroup
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aPrintGroup;
    /**
     * The aParams
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\ObjectParam[]
     */
    public $aParams;
    /**
     * The aText
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aText;
    /**
     * The aEmail
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aEmail;
    /**
     * Constructor method for sendPrintFormToEmailIPTest
     * @uses SendPrintFormToEmailIPTest::setAPrintType()
     * @uses SendPrintFormToEmailIPTest::setAPrintGroup()
     * @uses SendPrintFormToEmailIPTest::setAParams()
     * @uses SendPrintFormToEmailIPTest::setAText()
     * @uses SendPrintFormToEmailIPTest::setAEmail()
     * @param int $aPrintType
     * @param string $aPrintGroup
     * @param \App\Insis\StructType\ObjectParam[] $aParams
     * @param string $aText
     * @param string $aEmail
     */
    public function __construct($aPrintType = null, $aPrintGroup = null, array $aParams = array(), $aText = null, $aEmail = null)
    {
        $this
            ->setAPrintType($aPrintType)
            ->setAPrintGroup($aPrintGroup)
            ->setAParams($aParams)
            ->setAText($aText)
            ->setAEmail($aEmail);
    }
    /**
     * Get aPrintType value
     * @return int|null
     */
    public function getAPrintType()
    {
        return $this->aPrintType;
    }
    /**
     * Set aPrintType value
     * @param int $aPrintType
     * @return \App\Insis\StructType\SendPrintFormToEmailIPTest
     */
    public function setAPrintType($aPrintType = null)
    {
        // validation for constraint: int
        if (!is_null($aPrintType) && !(is_int($aPrintType) || ctype_digit($aPrintType))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aPrintType, true), gettype($aPrintType)), __LINE__);
        }
        $this->aPrintType = $aPrintType;
        return $this;
    }
    /**
     * Get aPrintGroup value
     * @return string|null
     */
    public function getAPrintGroup()
    {
        return $this->aPrintGroup;
    }
    /**
     * Set aPrintGroup value
     * @param string $aPrintGroup
     * @return \App\Insis\StructType\SendPrintFormToEmailIPTest
     */
    public function setAPrintGroup($aPrintGroup = null)
    {
        // validation for constraint: string
        if (!is_null($aPrintGroup) && !is_string($aPrintGroup)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aPrintGroup, true), gettype($aPrintGroup)), __LINE__);
        }
        $this->aPrintGroup = $aPrintGroup;
        return $this;
    }
    /**
     * Get aParams value
     * @return \App\Insis\StructType\ObjectParam[]|null
     */
    public function getAParams()
    {
        return $this->aParams;
    }
    /**
     * This method is responsible for validating the values passed to the setAParams method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAParams method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAParamsForArrayConstraintsFromSetAParams(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $sendPrintFormToEmailIPTestAParamsItem) {
            // validation for constraint: itemType
            if (!$sendPrintFormToEmailIPTestAParamsItem instanceof \App\Insis\StructType\ObjectParam) {
                $invalidValues[] = is_object($sendPrintFormToEmailIPTestAParamsItem) ? get_class($sendPrintFormToEmailIPTestAParamsItem) : sprintf('%s(%s)', gettype($sendPrintFormToEmailIPTestAParamsItem), var_export($sendPrintFormToEmailIPTestAParamsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aParams property can only contain items of type \App\Insis\StructType\ObjectParam, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aParams value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectParam[] $aParams
     * @return \App\Insis\StructType\SendPrintFormToEmailIPTest
     */
    public function setAParams(array $aParams = array())
    {
        // validation for constraint: array
        if ('' !== ($aParamsArrayErrorMessage = self::validateAParamsForArrayConstraintsFromSetAParams($aParams))) {
            throw new \InvalidArgumentException($aParamsArrayErrorMessage, __LINE__);
        }
        $this->aParams = $aParams;
        return $this;
    }
    /**
     * Add item to aParams value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectParam $item
     * @return \App\Insis\StructType\SendPrintFormToEmailIPTest
     */
    public function addToAParams(\App\Insis\StructType\ObjectParam $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\ObjectParam) {
            throw new \InvalidArgumentException(sprintf('The aParams property can only contain items of type \App\Insis\StructType\ObjectParam, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aParams[] = $item;
        return $this;
    }
    /**
     * Get aText value
     * @return string|null
     */
    public function getAText()
    {
        return $this->aText;
    }
    /**
     * Set aText value
     * @param string $aText
     * @return \App\Insis\StructType\SendPrintFormToEmailIPTest
     */
    public function setAText($aText = null)
    {
        // validation for constraint: string
        if (!is_null($aText) && !is_string($aText)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aText, true), gettype($aText)), __LINE__);
        }
        $this->aText = $aText;
        return $this;
    }
    /**
     * Get aEmail value
     * @return string|null
     */
    public function getAEmail()
    {
        return $this->aEmail;
    }
    /**
     * Set aEmail value
     * @param string $aEmail
     * @return \App\Insis\StructType\SendPrintFormToEmailIPTest
     */
    public function setAEmail($aEmail = null)
    {
        // validation for constraint: string
        if (!is_null($aEmail) && !is_string($aEmail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aEmail, true), gettype($aEmail)), __LINE__);
        }
        $this->aEmail = $aEmail;
        return $this;
    }
}
