<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for setBlanks StructType
 * Meta information extracted from the WSDL
 * - type: tns:setBlanks
 * @subpackage Structs
 */
class SetBlanks extends AbstractStructBase
{
    /**
     * The fromManID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $fromManID;
    /**
     * The toManID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $toManID;
    /**
     * The aBlanks
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\PolicyBlanks[]
     */
    public $aBlanks;
    /**
     * Constructor method for setBlanks
     * @uses SetBlanks::setFromManID()
     * @uses SetBlanks::setToManID()
     * @uses SetBlanks::setABlanks()
     * @param int $fromManID
     * @param int $toManID
     * @param \App\Insis\StructType\PolicyBlanks[] $aBlanks
     */
    public function __construct($fromManID = null, $toManID = null, array $aBlanks = array())
    {
        $this
            ->setFromManID($fromManID)
            ->setToManID($toManID)
            ->setABlanks($aBlanks);
    }
    /**
     * Get fromManID value
     * @return int|null
     */
    public function getFromManID()
    {
        return $this->fromManID;
    }
    /**
     * Set fromManID value
     * @param int $fromManID
     * @return \App\Insis\StructType\SetBlanks
     */
    public function setFromManID($fromManID = null)
    {
        // validation for constraint: int
        if (!is_null($fromManID) && !(is_int($fromManID) || ctype_digit($fromManID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($fromManID, true), gettype($fromManID)), __LINE__);
        }
        $this->fromManID = $fromManID;
        return $this;
    }
    /**
     * Get toManID value
     * @return int|null
     */
    public function getToManID()
    {
        return $this->toManID;
    }
    /**
     * Set toManID value
     * @param int $toManID
     * @return \App\Insis\StructType\SetBlanks
     */
    public function setToManID($toManID = null)
    {
        // validation for constraint: int
        if (!is_null($toManID) && !(is_int($toManID) || ctype_digit($toManID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($toManID, true), gettype($toManID)), __LINE__);
        }
        $this->toManID = $toManID;
        return $this;
    }
    /**
     * Get aBlanks value
     * @return \App\Insis\StructType\PolicyBlanks[]|null
     */
    public function getABlanks()
    {
        return $this->aBlanks;
    }
    /**
     * This method is responsible for validating the values passed to the setABlanks method
     * This method is willingly generated in order to preserve the one-line inline validation within the setABlanks method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateABlanksForArrayConstraintsFromSetABlanks(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $setBlanksABlanksItem) {
            // validation for constraint: itemType
            if (!$setBlanksABlanksItem instanceof \App\Insis\StructType\PolicyBlanks) {
                $invalidValues[] = is_object($setBlanksABlanksItem) ? get_class($setBlanksABlanksItem) : sprintf('%s(%s)', gettype($setBlanksABlanksItem), var_export($setBlanksABlanksItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aBlanks property can only contain items of type \App\Insis\StructType\PolicyBlanks, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aBlanks value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\PolicyBlanks[] $aBlanks
     * @return \App\Insis\StructType\SetBlanks
     */
    public function setABlanks(array $aBlanks = array())
    {
        // validation for constraint: array
        if ('' !== ($aBlanksArrayErrorMessage = self::validateABlanksForArrayConstraintsFromSetABlanks($aBlanks))) {
            throw new \InvalidArgumentException($aBlanksArrayErrorMessage, __LINE__);
        }
        $this->aBlanks = $aBlanks;
        return $this;
    }
    /**
     * Add item to aBlanks value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\PolicyBlanks $item
     * @return \App\Insis\StructType\SetBlanks
     */
    public function addToABlanks(\App\Insis\StructType\PolicyBlanks $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\PolicyBlanks) {
            throw new \InvalidArgumentException(sprintf('The aBlanks property can only contain items of type \App\Insis\StructType\PolicyBlanks, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aBlanks[] = $item;
        return $this;
    }
}
