<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for setClaimInfoAttach StructType
 * Meta information extracted from the WSDL
 * - type: tns:setClaimInfoAttach
 * @subpackage Structs
 */
class SetClaimInfoAttach extends AbstractStructBase
{
    /**
     * The nomer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $nomer;
    /**
     * The claimID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $claimID;
    /**
     * The text
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $text;
    /**
     * The wordText
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $wordText;
    /**
     * The fileContent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fileContent;
    /**
     * The fileExtension
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fileExtension;
    /**
     * The fileName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fileName;
    /**
     * The clientHost
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $clientHost;
    /**
     * Constructor method for setClaimInfoAttach
     * @uses SetClaimInfoAttach::setNomer()
     * @uses SetClaimInfoAttach::setClaimID()
     * @uses SetClaimInfoAttach::setText()
     * @uses SetClaimInfoAttach::setWordText()
     * @uses SetClaimInfoAttach::setFileContent()
     * @uses SetClaimInfoAttach::setFileExtension()
     * @uses SetClaimInfoAttach::setFileName()
     * @uses SetClaimInfoAttach::setClientHost()
     * @param int $nomer
     * @param int $claimID
     * @param string $text
     * @param string $wordText
     * @param string $fileContent
     * @param string $fileExtension
     * @param string $fileName
     * @param string $clientHost
     */
    public function __construct($nomer = null, $claimID = null, $text = null, $wordText = null, $fileContent = null, $fileExtension = null, $fileName = null, $clientHost = null)
    {
        $this
            ->setNomer($nomer)
            ->setClaimID($claimID)
            ->setText($text)
            ->setWordText($wordText)
            ->setFileContent($fileContent)
            ->setFileExtension($fileExtension)
            ->setFileName($fileName)
            ->setClientHost($clientHost);
    }
    /**
     * Get nomer value
     * @return int|null
     */
    public function getNomer()
    {
        return $this->nomer;
    }
    /**
     * Set nomer value
     * @param int $nomer
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setNomer($nomer = null)
    {
        // validation for constraint: int
        if (!is_null($nomer) && !(is_int($nomer) || ctype_digit($nomer))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($nomer, true), gettype($nomer)), __LINE__);
        }
        $this->nomer = $nomer;
        return $this;
    }
    /**
     * Get claimID value
     * @return int|null
     */
    public function getClaimID()
    {
        return $this->claimID;
    }
    /**
     * Set claimID value
     * @param int $claimID
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setClaimID($claimID = null)
    {
        // validation for constraint: int
        if (!is_null($claimID) && !(is_int($claimID) || ctype_digit($claimID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($claimID, true), gettype($claimID)), __LINE__);
        }
        $this->claimID = $claimID;
        return $this;
    }
    /**
     * Get text value
     * @return string|null
     */
    public function getText()
    {
        return $this->text;
    }
    /**
     * Set text value
     * @param string $text
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setText($text = null)
    {
        // validation for constraint: string
        if (!is_null($text) && !is_string($text)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($text, true), gettype($text)), __LINE__);
        }
        $this->text = $text;
        return $this;
    }
    /**
     * Get wordText value
     * @return string|null
     */
    public function getWordText()
    {
        return $this->wordText;
    }
    /**
     * Set wordText value
     * @param string $wordText
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setWordText($wordText = null)
    {
        // validation for constraint: string
        if (!is_null($wordText) && !is_string($wordText)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($wordText, true), gettype($wordText)), __LINE__);
        }
        $this->wordText = $wordText;
        return $this;
    }
    /**
     * Get fileContent value
     * @return string|null
     */
    public function getFileContent()
    {
        return $this->fileContent;
    }
    /**
     * Set fileContent value
     * @param string $fileContent
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setFileContent($fileContent = null)
    {
        // validation for constraint: string
        if (!is_null($fileContent) && !is_string($fileContent)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fileContent, true), gettype($fileContent)), __LINE__);
        }
        $this->fileContent = $fileContent;
        return $this;
    }
    /**
     * Get fileExtension value
     * @return string|null
     */
    public function getFileExtension()
    {
        return $this->fileExtension;
    }
    /**
     * Set fileExtension value
     * @param string $fileExtension
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setFileExtension($fileExtension = null)
    {
        // validation for constraint: string
        if (!is_null($fileExtension) && !is_string($fileExtension)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fileExtension, true), gettype($fileExtension)), __LINE__);
        }
        $this->fileExtension = $fileExtension;
        return $this;
    }
    /**
     * Get fileName value
     * @return string|null
     */
    public function getFileName()
    {
        return $this->fileName;
    }
    /**
     * Set fileName value
     * @param string $fileName
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setFileName($fileName = null)
    {
        // validation for constraint: string
        if (!is_null($fileName) && !is_string($fileName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fileName, true), gettype($fileName)), __LINE__);
        }
        $this->fileName = $fileName;
        return $this;
    }
    /**
     * Get clientHost value
     * @return string|null
     */
    public function getClientHost()
    {
        return $this->clientHost;
    }
    /**
     * Set clientHost value
     * @param string $clientHost
     * @return \App\Insis\StructType\SetClaimInfoAttach
     */
    public function setClientHost($clientHost = null)
    {
        // validation for constraint: string
        if (!is_null($clientHost) && !is_string($clientHost)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($clientHost, true), gettype($clientHost)), __LINE__);
        }
        $this->clientHost = $clientHost;
        return $this;
    }
}
