<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for setErrorText StructType
 * Meta information extracted from the WSDL
 * - type: tns:setErrorText
 * @subpackage Structs
 */
class SetErrorText extends AbstractStructBase
{
    /**
     * The aProduct
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aProduct;
    /**
     * The aStage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aStage;
    /**
     * The aType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aType;
    /**
     * The aMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aMessage;
    /**
     * The aDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aDate;
    /**
     * The aInputDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aInputDate;
    /**
     * The aPremium
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $aPremium;
    /**
     * The aUserData
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\OnlineUserData[]
     */
    public $aUserData;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The stage_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $stage_id;
    /**
     * The aUrl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aUrl;
    /**
     * Constructor method for setErrorText
     * @uses SetErrorText::setAProduct()
     * @uses SetErrorText::setAStage()
     * @uses SetErrorText::setAType()
     * @uses SetErrorText::setAMessage()
     * @uses SetErrorText::setADate()
     * @uses SetErrorText::setAInputDate()
     * @uses SetErrorText::setAPremium()
     * @uses SetErrorText::setAUserData()
     * @uses SetErrorText::setType()
     * @uses SetErrorText::setStage_id()
     * @uses SetErrorText::setAUrl()
     * @param int $aProduct
     * @param string $aStage
     * @param string $aType
     * @param string $aMessage
     * @param string $aDate
     * @param string $aInputDate
     * @param float $aPremium
     * @param \App\Insis\StructType\OnlineUserData[] $aUserData
     * @param string $type
     * @param string $stage_id
     * @param string $aUrl
     */
    public function __construct($aProduct = null, $aStage = null, $aType = null, $aMessage = null, $aDate = null, $aInputDate = null, $aPremium = null, array $aUserData = array(), $type = null, $stage_id = null, $aUrl = null)
    {
        $this
            ->setAProduct($aProduct)
            ->setAStage($aStage)
            ->setAType($aType)
            ->setAMessage($aMessage)
            ->setADate($aDate)
            ->setAInputDate($aInputDate)
            ->setAPremium($aPremium)
            ->setAUserData($aUserData)
            ->setType($type)
            ->setStage_id($stage_id)
            ->setAUrl($aUrl);
    }
    /**
     * Get aProduct value
     * @return int|null
     */
    public function getAProduct()
    {
        return $this->aProduct;
    }
    /**
     * Set aProduct value
     * @param int $aProduct
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAProduct($aProduct = null)
    {
        // validation for constraint: int
        if (!is_null($aProduct) && !(is_int($aProduct) || ctype_digit($aProduct))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aProduct, true), gettype($aProduct)), __LINE__);
        }
        $this->aProduct = $aProduct;
        return $this;
    }
    /**
     * Get aStage value
     * @return string|null
     */
    public function getAStage()
    {
        return $this->aStage;
    }
    /**
     * Set aStage value
     * @param string $aStage
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAStage($aStage = null)
    {
        // validation for constraint: string
        if (!is_null($aStage) && !is_string($aStage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aStage, true), gettype($aStage)), __LINE__);
        }
        $this->aStage = $aStage;
        return $this;
    }
    /**
     * Get aType value
     * @return string|null
     */
    public function getAType()
    {
        return $this->aType;
    }
    /**
     * Set aType value
     * @param string $aType
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAType($aType = null)
    {
        // validation for constraint: string
        if (!is_null($aType) && !is_string($aType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aType, true), gettype($aType)), __LINE__);
        }
        $this->aType = $aType;
        return $this;
    }
    /**
     * Get aMessage value
     * @return string|null
     */
    public function getAMessage()
    {
        return $this->aMessage;
    }
    /**
     * Set aMessage value
     * @param string $aMessage
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAMessage($aMessage = null)
    {
        // validation for constraint: string
        if (!is_null($aMessage) && !is_string($aMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aMessage, true), gettype($aMessage)), __LINE__);
        }
        $this->aMessage = $aMessage;
        return $this;
    }
    /**
     * Get aDate value
     * @return string|null
     */
    public function getADate()
    {
        return $this->aDate;
    }
    /**
     * Set aDate value
     * @param string $aDate
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setADate($aDate = null)
    {
        // validation for constraint: string
        if (!is_null($aDate) && !is_string($aDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aDate, true), gettype($aDate)), __LINE__);
        }
        $this->aDate = $aDate;
        return $this;
    }
    /**
     * Get aInputDate value
     * @return string|null
     */
    public function getAInputDate()
    {
        return $this->aInputDate;
    }
    /**
     * Set aInputDate value
     * @param string $aInputDate
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAInputDate($aInputDate = null)
    {
        // validation for constraint: string
        if (!is_null($aInputDate) && !is_string($aInputDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aInputDate, true), gettype($aInputDate)), __LINE__);
        }
        $this->aInputDate = $aInputDate;
        return $this;
    }
    /**
     * Get aPremium value
     * @return float|null
     */
    public function getAPremium()
    {
        return $this->aPremium;
    }
    /**
     * Set aPremium value
     * @param float $aPremium
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAPremium($aPremium = null)
    {
        // validation for constraint: float
        if (!is_null($aPremium) && !(is_float($aPremium) || is_numeric($aPremium))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($aPremium, true), gettype($aPremium)), __LINE__);
        }
        $this->aPremium = $aPremium;
        return $this;
    }
    /**
     * Get aUserData value
     * @return \App\Insis\StructType\OnlineUserData[]|null
     */
    public function getAUserData()
    {
        return $this->aUserData;
    }
    /**
     * This method is responsible for validating the values passed to the setAUserData method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAUserData method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAUserDataForArrayConstraintsFromSetAUserData(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $setErrorTextAUserDataItem) {
            // validation for constraint: itemType
            if (!$setErrorTextAUserDataItem instanceof \App\Insis\StructType\OnlineUserData) {
                $invalidValues[] = is_object($setErrorTextAUserDataItem) ? get_class($setErrorTextAUserDataItem) : sprintf('%s(%s)', gettype($setErrorTextAUserDataItem), var_export($setErrorTextAUserDataItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aUserData property can only contain items of type \App\Insis\StructType\OnlineUserData, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aUserData value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\OnlineUserData[] $aUserData
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAUserData(array $aUserData = array())
    {
        // validation for constraint: array
        if ('' !== ($aUserDataArrayErrorMessage = self::validateAUserDataForArrayConstraintsFromSetAUserData($aUserData))) {
            throw new \InvalidArgumentException($aUserDataArrayErrorMessage, __LINE__);
        }
        $this->aUserData = $aUserData;
        return $this;
    }
    /**
     * Add item to aUserData value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\OnlineUserData $item
     * @return \App\Insis\StructType\SetErrorText
     */
    public function addToAUserData(\App\Insis\StructType\OnlineUserData $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\OnlineUserData) {
            throw new \InvalidArgumentException(sprintf('The aUserData property can only contain items of type \App\Insis\StructType\OnlineUserData, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aUserData[] = $item;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get stage_id value
     * @return string|null
     */
    public function getStage_id()
    {
        return $this->stage_id;
    }
    /**
     * Set stage_id value
     * @param string $stage_id
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setStage_id($stage_id = null)
    {
        // validation for constraint: string
        if (!is_null($stage_id) && !is_string($stage_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($stage_id, true), gettype($stage_id)), __LINE__);
        }
        $this->stage_id = $stage_id;
        return $this;
    }
    /**
     * Get aUrl value
     * @return string|null
     */
    public function getAUrl()
    {
        return $this->aUrl;
    }
    /**
     * Set aUrl value
     * @param string $aUrl
     * @return \App\Insis\StructType\SetErrorText
     */
    public function setAUrl($aUrl = null)
    {
        // validation for constraint: string
        if (!is_null($aUrl) && !is_string($aUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aUrl, true), gettype($aUrl)), __LINE__);
        }
        $this->aUrl = $aUrl;
        return $this;
    }
}
