<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for setPolicyOGPOAuto StructType
 * Meta information extracted from the WSDL
 * - type: tns:setPolicyOGPOAuto
 * @subpackage Structs
 */
class SetPolicyOGPOAuto extends AbstractStructBase
{
    /**
     * The aClients
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $aClients;
    /**
     * The aCars
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var int[]
     */
    public $aCars;
    /**
     * The aBeginDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aBeginDate;
    /**
     * The aEndDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aEndDate;
    /**
     * The aParams
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \App\Insis\StructType\ObjectParam[]
     */
    public $aParams;
    /**
     * The aPhone
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aPhone;
    /**
     * The aPaymentRef
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aPaymentRef;
    /**
     * The aAgentID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aAgentID;
    /**
     * The aMemberID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $aMemberID;
    /**
     * The aPinCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aPinCode;
    /**
     * Constructor method for setPolicyOGPOAuto
     * @uses SetPolicyOGPOAuto::setAClients()
     * @uses SetPolicyOGPOAuto::setACars()
     * @uses SetPolicyOGPOAuto::setABeginDate()
     * @uses SetPolicyOGPOAuto::setAEndDate()
     * @uses SetPolicyOGPOAuto::setAParams()
     * @uses SetPolicyOGPOAuto::setAPhone()
     * @uses SetPolicyOGPOAuto::setAPaymentRef()
     * @uses SetPolicyOGPOAuto::setAAgentID()
     * @uses SetPolicyOGPOAuto::setAMemberID()
     * @uses SetPolicyOGPOAuto::setAPinCode()
     * @param int[] $aClients
     * @param int[] $aCars
     * @param string $aBeginDate
     * @param string $aEndDate
     * @param \App\Insis\StructType\ObjectParam[] $aParams
     * @param string $aPhone
     * @param string $aPaymentRef
     * @param int $aAgentID
     * @param int $aMemberID
     * @param string $aPinCode
     */
    public function __construct(array $aClients = array(), array $aCars = array(), $aBeginDate = null, $aEndDate = null, array $aParams = array(), $aPhone = null, $aPaymentRef = null, $aAgentID = null, $aMemberID = null, $aPinCode = null)
    {
        $this
            ->setAClients($aClients)
            ->setACars($aCars)
            ->setABeginDate($aBeginDate)
            ->setAEndDate($aEndDate)
            ->setAParams($aParams)
            ->setAPhone($aPhone)
            ->setAPaymentRef($aPaymentRef)
            ->setAAgentID($aAgentID)
            ->setAMemberID($aMemberID)
            ->setAPinCode($aPinCode);
    }
    /**
     * Get aClients value
     * @return int[]|null
     */
    public function getAClients()
    {
        return $this->aClients;
    }
    /**
     * This method is responsible for validating the values passed to the setAClients method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAClients method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAClientsForArrayConstraintsFromSetAClients(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $setPolicyOGPOAutoAClientsItem) {
            // validation for constraint: itemType
            if (!(is_int($setPolicyOGPOAutoAClientsItem) || ctype_digit($setPolicyOGPOAutoAClientsItem))) {
                $invalidValues[] = is_object($setPolicyOGPOAutoAClientsItem) ? get_class($setPolicyOGPOAutoAClientsItem) : sprintf('%s(%s)', gettype($setPolicyOGPOAutoAClientsItem), var_export($setPolicyOGPOAutoAClientsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aClients property can only contain items of type long, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aClients value
     * @throws \InvalidArgumentException
     * @param int[] $aClients
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAClients(array $aClients = array())
    {
        // validation for constraint: array
        if ('' !== ($aClientsArrayErrorMessage = self::validateAClientsForArrayConstraintsFromSetAClients($aClients))) {
            throw new \InvalidArgumentException($aClientsArrayErrorMessage, __LINE__);
        }
        $this->aClients = $aClients;
        return $this;
    }
    /**
     * Add item to aClients value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function addToAClients($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The aClients property can only contain items of type long, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aClients[] = $item;
        return $this;
    }
    /**
     * Get aCars value
     * @return int[]|null
     */
    public function getACars()
    {
        return $this->aCars;
    }
    /**
     * This method is responsible for validating the values passed to the setACars method
     * This method is willingly generated in order to preserve the one-line inline validation within the setACars method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateACarsForArrayConstraintsFromSetACars(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $setPolicyOGPOAutoACarsItem) {
            // validation for constraint: itemType
            if (!(is_int($setPolicyOGPOAutoACarsItem) || ctype_digit($setPolicyOGPOAutoACarsItem))) {
                $invalidValues[] = is_object($setPolicyOGPOAutoACarsItem) ? get_class($setPolicyOGPOAutoACarsItem) : sprintf('%s(%s)', gettype($setPolicyOGPOAutoACarsItem), var_export($setPolicyOGPOAutoACarsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aCars property can only contain items of type long, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aCars value
     * @throws \InvalidArgumentException
     * @param int[] $aCars
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setACars(array $aCars = array())
    {
        // validation for constraint: array
        if ('' !== ($aCarsArrayErrorMessage = self::validateACarsForArrayConstraintsFromSetACars($aCars))) {
            throw new \InvalidArgumentException($aCarsArrayErrorMessage, __LINE__);
        }
        $this->aCars = $aCars;
        return $this;
    }
    /**
     * Add item to aCars value
     * @throws \InvalidArgumentException
     * @param int $item
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function addToACars($item)
    {
        // validation for constraint: itemType
        if (!(is_int($item) || ctype_digit($item))) {
            throw new \InvalidArgumentException(sprintf('The aCars property can only contain items of type long, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aCars[] = $item;
        return $this;
    }
    /**
     * Get aBeginDate value
     * @return string|null
     */
    public function getABeginDate()
    {
        return $this->aBeginDate;
    }
    /**
     * Set aBeginDate value
     * @param string $aBeginDate
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setABeginDate($aBeginDate = null)
    {
        // validation for constraint: string
        if (!is_null($aBeginDate) && !is_string($aBeginDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aBeginDate, true), gettype($aBeginDate)), __LINE__);
        }
        $this->aBeginDate = $aBeginDate;
        return $this;
    }
    /**
     * Get aEndDate value
     * @return string|null
     */
    public function getAEndDate()
    {
        return $this->aEndDate;
    }
    /**
     * Set aEndDate value
     * @param string $aEndDate
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAEndDate($aEndDate = null)
    {
        // validation for constraint: string
        if (!is_null($aEndDate) && !is_string($aEndDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aEndDate, true), gettype($aEndDate)), __LINE__);
        }
        $this->aEndDate = $aEndDate;
        return $this;
    }
    /**
     * Get aParams value
     * @return \App\Insis\StructType\ObjectParam[]|null
     */
    public function getAParams()
    {
        return $this->aParams;
    }
    /**
     * This method is responsible for validating the values passed to the setAParams method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAParams method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAParamsForArrayConstraintsFromSetAParams(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $setPolicyOGPOAutoAParamsItem) {
            // validation for constraint: itemType
            if (!$setPolicyOGPOAutoAParamsItem instanceof \App\Insis\StructType\ObjectParam) {
                $invalidValues[] = is_object($setPolicyOGPOAutoAParamsItem) ? get_class($setPolicyOGPOAutoAParamsItem) : sprintf('%s(%s)', gettype($setPolicyOGPOAutoAParamsItem), var_export($setPolicyOGPOAutoAParamsItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The aParams property can only contain items of type \App\Insis\StructType\ObjectParam, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set aParams value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectParam[] $aParams
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAParams(array $aParams = array())
    {
        // validation for constraint: array
        if ('' !== ($aParamsArrayErrorMessage = self::validateAParamsForArrayConstraintsFromSetAParams($aParams))) {
            throw new \InvalidArgumentException($aParamsArrayErrorMessage, __LINE__);
        }
        $this->aParams = $aParams;
        return $this;
    }
    /**
     * Add item to aParams value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\ObjectParam $item
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function addToAParams(\App\Insis\StructType\ObjectParam $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\ObjectParam) {
            throw new \InvalidArgumentException(sprintf('The aParams property can only contain items of type \App\Insis\StructType\ObjectParam, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->aParams[] = $item;
        return $this;
    }
    /**
     * Get aPhone value
     * @return string|null
     */
    public function getAPhone()
    {
        return $this->aPhone;
    }
    /**
     * Set aPhone value
     * @param string $aPhone
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAPhone($aPhone = null)
    {
        // validation for constraint: string
        if (!is_null($aPhone) && !is_string($aPhone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aPhone, true), gettype($aPhone)), __LINE__);
        }
        $this->aPhone = $aPhone;
        return $this;
    }
    /**
     * Get aPaymentRef value
     * @return string|null
     */
    public function getAPaymentRef()
    {
        return $this->aPaymentRef;
    }
    /**
     * Set aPaymentRef value
     * @param string $aPaymentRef
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAPaymentRef($aPaymentRef = null)
    {
        // validation for constraint: string
        if (!is_null($aPaymentRef) && !is_string($aPaymentRef)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aPaymentRef, true), gettype($aPaymentRef)), __LINE__);
        }
        $this->aPaymentRef = $aPaymentRef;
        return $this;
    }
    /**
     * Get aAgentID value
     * @return int|null
     */
    public function getAAgentID()
    {
        return $this->aAgentID;
    }
    /**
     * Set aAgentID value
     * @param int $aAgentID
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAAgentID($aAgentID = null)
    {
        // validation for constraint: int
        if (!is_null($aAgentID) && !(is_int($aAgentID) || ctype_digit($aAgentID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aAgentID, true), gettype($aAgentID)), __LINE__);
        }
        $this->aAgentID = $aAgentID;
        return $this;
    }
    /**
     * Get aMemberID value
     * @return int|null
     */
    public function getAMemberID()
    {
        return $this->aMemberID;
    }
    /**
     * Set aMemberID value
     * @param int $aMemberID
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAMemberID($aMemberID = null)
    {
        // validation for constraint: int
        if (!is_null($aMemberID) && !(is_int($aMemberID) || ctype_digit($aMemberID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aMemberID, true), gettype($aMemberID)), __LINE__);
        }
        $this->aMemberID = $aMemberID;
        return $this;
    }
    /**
     * Get aPinCode value
     * @return string|null
     */
    public function getAPinCode()
    {
        return $this->aPinCode;
    }
    /**
     * Set aPinCode value
     * @param string $aPinCode
     * @return \App\Insis\StructType\SetPolicyOGPOAuto
     */
    public function setAPinCode($aPinCode = null)
    {
        // validation for constraint: string
        if (!is_null($aPinCode) && !is_string($aPinCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aPinCode, true), gettype($aPinCode)), __LINE__);
        }
        $this->aPinCode = $aPinCode;
        return $this;
    }
}
