<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for setRequestDataFile StructType
 * Meta information extracted from the WSDL
 * - type: tns:setRequestDataFile
 * @subpackage Structs
 */
class SetRequestDataFile extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $id;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The dataFile
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dataFile;
    /**
     * Constructor method for setRequestDataFile
     * @uses SetRequestDataFile::setId()
     * @uses SetRequestDataFile::setName()
     * @uses SetRequestDataFile::setDataFile()
     * @param int $id
     * @param string $name
     * @param string $dataFile
     */
    public function __construct($id = null, $name = null, $dataFile = null)
    {
        $this
            ->setId($id)
            ->setName($name)
            ->setDataFile($dataFile);
    }
    /**
     * Get id value
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param int $id
     * @return \App\Insis\StructType\SetRequestDataFile
     */
    public function setId($id = null)
    {
        // validation for constraint: int
        if (!is_null($id) && !(is_int($id) || ctype_digit($id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Insis\StructType\SetRequestDataFile
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get dataFile value
     * @return string|null
     */
    public function getDataFile()
    {
        return $this->dataFile;
    }
    /**
     * Set dataFile value
     * @param string $dataFile
     * @return \App\Insis\StructType\SetRequestDataFile
     */
    public function setDataFile($dataFile = null)
    {
        // validation for constraint: string
        if (!is_null($dataFile) && !is_string($dataFile)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dataFile, true), gettype($dataFile)), __LINE__);
        }
        $this->dataFile = $dataFile;
        return $this;
    }
}
