<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for setSiebelBoxPayment StructType
 * Meta information extracted from the WSDL
 * - type: tns:setSiebelBoxPayment
 * @subpackage Structs
 */
class SetSiebelBoxPayment extends AbstractStructBase
{
    /**
     * The box_num
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $box_num;
    /**
     * The iin_insur
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $iin_insur;
    /**
     * The chan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $chan;
    /**
     * The chan_detail
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $chan_detail;
    /**
     * The ref_in
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $ref_in;
    /**
     * The descr
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descr;
    /**
     * The box_price
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $box_price;
    /**
     * Constructor method for setSiebelBoxPayment
     * @uses SetSiebelBoxPayment::setBox_num()
     * @uses SetSiebelBoxPayment::setIin_insur()
     * @uses SetSiebelBoxPayment::setChan()
     * @uses SetSiebelBoxPayment::setChan_detail()
     * @uses SetSiebelBoxPayment::setRef_in()
     * @uses SetSiebelBoxPayment::setDescr()
     * @uses SetSiebelBoxPayment::setBox_price()
     * @param string $box_num
     * @param string $iin_insur
     * @param string $chan
     * @param string $chan_detail
     * @param string $ref_in
     * @param string $descr
     * @param string $box_price
     */
    public function __construct($box_num = null, $iin_insur = null, $chan = null, $chan_detail = null, $ref_in = null, $descr = null, $box_price = null)
    {
        $this
            ->setBox_num($box_num)
            ->setIin_insur($iin_insur)
            ->setChan($chan)
            ->setChan_detail($chan_detail)
            ->setRef_in($ref_in)
            ->setDescr($descr)
            ->setBox_price($box_price);
    }
    /**
     * Get box_num value
     * @return string|null
     */
    public function getBox_num()
    {
        return $this->box_num;
    }
    /**
     * Set box_num value
     * @param string $box_num
     * @return \App\Insis\StructType\SetSiebelBoxPayment
     */
    public function setBox_num($box_num = null)
    {
        // validation for constraint: string
        if (!is_null($box_num) && !is_string($box_num)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($box_num, true), gettype($box_num)), __LINE__);
        }
        $this->box_num = $box_num;
        return $this;
    }
    /**
     * Get iin_insur value
     * @return string|null
     */
    public function getIin_insur()
    {
        return $this->iin_insur;
    }
    /**
     * Set iin_insur value
     * @param string $iin_insur
     * @return \App\Insis\StructType\SetSiebelBoxPayment
     */
    public function setIin_insur($iin_insur = null)
    {
        // validation for constraint: string
        if (!is_null($iin_insur) && !is_string($iin_insur)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iin_insur, true), gettype($iin_insur)), __LINE__);
        }
        $this->iin_insur = $iin_insur;
        return $this;
    }
    /**
     * Get chan value
     * @return string|null
     */
    public function getChan()
    {
        return $this->chan;
    }
    /**
     * Set chan value
     * @param string $chan
     * @return \App\Insis\StructType\SetSiebelBoxPayment
     */
    public function setChan($chan = null)
    {
        // validation for constraint: string
        if (!is_null($chan) && !is_string($chan)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($chan, true), gettype($chan)), __LINE__);
        }
        $this->chan = $chan;
        return $this;
    }
    /**
     * Get chan_detail value
     * @return string|null
     */
    public function getChan_detail()
    {
        return $this->chan_detail;
    }
    /**
     * Set chan_detail value
     * @param string $chan_detail
     * @return \App\Insis\StructType\SetSiebelBoxPayment
     */
    public function setChan_detail($chan_detail = null)
    {
        // validation for constraint: string
        if (!is_null($chan_detail) && !is_string($chan_detail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($chan_detail, true), gettype($chan_detail)), __LINE__);
        }
        $this->chan_detail = $chan_detail;
        return $this;
    }
    /**
     * Get ref_in value
     * @return string|null
     */
    public function getRef_in()
    {
        return $this->ref_in;
    }
    /**
     * Set ref_in value
     * @param string $ref_in
     * @return \App\Insis\StructType\SetSiebelBoxPayment
     */
    public function setRef_in($ref_in = null)
    {
        // validation for constraint: string
        if (!is_null($ref_in) && !is_string($ref_in)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($ref_in, true), gettype($ref_in)), __LINE__);
        }
        $this->ref_in = $ref_in;
        return $this;
    }
    /**
     * Get descr value
     * @return string|null
     */
    public function getDescr()
    {
        return $this->descr;
    }
    /**
     * Set descr value
     * @param string $descr
     * @return \App\Insis\StructType\SetSiebelBoxPayment
     */
    public function setDescr($descr = null)
    {
        // validation for constraint: string
        if (!is_null($descr) && !is_string($descr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descr, true), gettype($descr)), __LINE__);
        }
        $this->descr = $descr;
        return $this;
    }
    /**
     * Get box_price value
     * @return string|null
     */
    public function getBox_price()
    {
        return $this->box_price;
    }
    /**
     * Set box_price value
     * @param string $box_price
     * @return \App\Insis\StructType\SetSiebelBoxPayment
     */
    public function setBox_price($box_price = null)
    {
        // validation for constraint: string
        if (!is_null($box_price) && !is_string($box_price)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($box_price, true), gettype($box_price)), __LINE__);
        }
        $this->box_price = $box_price;
        return $this;
    }
}
