<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for siebelBeneficiaryAddress StructType
 * @subpackage Structs
 */
class SiebelBeneficiaryAddress extends AbstractStructBase
{
    /**
     * The country
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $country;
    /**
     * The district
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $district;
    /**
     * The flat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $flat;
    /**
     * The home
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $home;
    /**
     * The index
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $index;
    /**
     * The state
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $state;
    /**
     * The street
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $street;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The XLocality
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $XLocality;
    /**
     * Constructor method for siebelBeneficiaryAddress
     * @uses SiebelBeneficiaryAddress::setCountry()
     * @uses SiebelBeneficiaryAddress::setDistrict()
     * @uses SiebelBeneficiaryAddress::setFlat()
     * @uses SiebelBeneficiaryAddress::setHome()
     * @uses SiebelBeneficiaryAddress::setIndex()
     * @uses SiebelBeneficiaryAddress::setState()
     * @uses SiebelBeneficiaryAddress::setStreet()
     * @uses SiebelBeneficiaryAddress::setType()
     * @uses SiebelBeneficiaryAddress::setXLocality()
     * @param string $country
     * @param string $district
     * @param string $flat
     * @param string $home
     * @param string $index
     * @param string $state
     * @param string $street
     * @param string $type
     * @param string $xLocality
     */
    public function __construct($country = null, $district = null, $flat = null, $home = null, $index = null, $state = null, $street = null, $type = null, $xLocality = null)
    {
        $this
            ->setCountry($country)
            ->setDistrict($district)
            ->setFlat($flat)
            ->setHome($home)
            ->setIndex($index)
            ->setState($state)
            ->setStreet($street)
            ->setType($type)
            ->setXLocality($xLocality);
    }
    /**
     * Get country value
     * @return string|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param string $country
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setCountry($country = null)
    {
        // validation for constraint: string
        if (!is_null($country) && !is_string($country)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($country, true), gettype($country)), __LINE__);
        }
        $this->country = $country;
        return $this;
    }
    /**
     * Get district value
     * @return string|null
     */
    public function getDistrict()
    {
        return $this->district;
    }
    /**
     * Set district value
     * @param string $district
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setDistrict($district = null)
    {
        // validation for constraint: string
        if (!is_null($district) && !is_string($district)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($district, true), gettype($district)), __LINE__);
        }
        $this->district = $district;
        return $this;
    }
    /**
     * Get flat value
     * @return string|null
     */
    public function getFlat()
    {
        return $this->flat;
    }
    /**
     * Set flat value
     * @param string $flat
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setFlat($flat = null)
    {
        // validation for constraint: string
        if (!is_null($flat) && !is_string($flat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($flat, true), gettype($flat)), __LINE__);
        }
        $this->flat = $flat;
        return $this;
    }
    /**
     * Get home value
     * @return string|null
     */
    public function getHome()
    {
        return $this->home;
    }
    /**
     * Set home value
     * @param string $home
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setHome($home = null)
    {
        // validation for constraint: string
        if (!is_null($home) && !is_string($home)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($home, true), gettype($home)), __LINE__);
        }
        $this->home = $home;
        return $this;
    }
    /**
     * Get index value
     * @return string|null
     */
    public function getIndex()
    {
        return $this->index;
    }
    /**
     * Set index value
     * @param string $index
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setIndex($index = null)
    {
        // validation for constraint: string
        if (!is_null($index) && !is_string($index)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($index, true), gettype($index)), __LINE__);
        }
        $this->index = $index;
        return $this;
    }
    /**
     * Get state value
     * @return string|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @param string $state
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setState($state = null)
    {
        // validation for constraint: string
        if (!is_null($state) && !is_string($state)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($state, true), gettype($state)), __LINE__);
        }
        $this->state = $state;
        return $this;
    }
    /**
     * Get street value
     * @return string|null
     */
    public function getStreet()
    {
        return $this->street;
    }
    /**
     * Set street value
     * @param string $street
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setStreet($street = null)
    {
        // validation for constraint: string
        if (!is_null($street) && !is_string($street)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($street, true), gettype($street)), __LINE__);
        }
        $this->street = $street;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get XLocality value
     * @return string|null
     */
    public function getXLocality()
    {
        return $this->XLocality;
    }
    /**
     * Set XLocality value
     * @param string $xLocality
     * @return \App\Insis\StructType\SiebelBeneficiaryAddress
     */
    public function setXLocality($xLocality = null)
    {
        // validation for constraint: string
        if (!is_null($xLocality) && !is_string($xLocality)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($xLocality, true), gettype($xLocality)), __LINE__);
        }
        $this->XLocality = $xLocality;
        return $this;
    }
}
