<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for siebelClass StructType
 * @subpackage Structs
 */
class SiebelClass extends AbstractStructBase
{
    /**
     * The bonus
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bonus;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The sum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sum;
    /**
     * The tarif
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tarif;
    /**
     * Constructor method for siebelClass
     * @uses SiebelClass::setBonus()
     * @uses SiebelClass::setName()
     * @uses SiebelClass::setSum()
     * @uses SiebelClass::setTarif()
     * @param string $bonus
     * @param string $name
     * @param string $sum
     * @param string $tarif
     */
    public function __construct($bonus = null, $name = null, $sum = null, $tarif = null)
    {
        $this
            ->setBonus($bonus)
            ->setName($name)
            ->setSum($sum)
            ->setTarif($tarif);
    }
    /**
     * Get bonus value
     * @return string|null
     */
    public function getBonus()
    {
        return $this->bonus;
    }
    /**
     * Set bonus value
     * @param string $bonus
     * @return \App\Insis\StructType\SiebelClass
     */
    public function setBonus($bonus = null)
    {
        // validation for constraint: string
        if (!is_null($bonus) && !is_string($bonus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bonus, true), gettype($bonus)), __LINE__);
        }
        $this->bonus = $bonus;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Insis\StructType\SiebelClass
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get sum value
     * @return string|null
     */
    public function getSum()
    {
        return $this->sum;
    }
    /**
     * Set sum value
     * @param string $sum
     * @return \App\Insis\StructType\SiebelClass
     */
    public function setSum($sum = null)
    {
        // validation for constraint: string
        if (!is_null($sum) && !is_string($sum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sum, true), gettype($sum)), __LINE__);
        }
        $this->sum = $sum;
        return $this;
    }
    /**
     * Get tarif value
     * @return string|null
     */
    public function getTarif()
    {
        return $this->tarif;
    }
    /**
     * Set tarif value
     * @param string $tarif
     * @return \App\Insis\StructType\SiebelClass
     */
    public function setTarif($tarif = null)
    {
        // validation for constraint: string
        if (!is_null($tarif) && !is_string($tarif)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tarif, true), gettype($tarif)), __LINE__);
        }
        $this->tarif = $tarif;
        return $this;
    }
}
