<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for siebelHBCards StructType
 * @subpackage Structs
 */
class SiebelHBCards extends AbstractStructBase
{
    /**
     * The BIRTH_DATE
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $BIRTH_DATE;
    /**
     * The CERT_BEGIN
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $CERT_BEGIN;
    /**
     * The CERT_END
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $CERT_END;
    /**
     * The CERT_NUMBER
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $CERT_NUMBER;
    /**
     * The CERT_SIGN
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $CERT_SIGN;
    /**
     * The DOC_NUMBER
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DOC_NUMBER;
    /**
     * The IIN
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $IIN;
    /**
     * The INS_SUM
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $INS_SUM;
    /**
     * The NAME
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $NAME;
    /**
     * The PREMIUM
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $PREMIUM;
    /**
     * The PROGRAM_NUM
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $PROGRAM_NUM;
    /**
     * The RESIDENT
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $RESIDENT;
    /**
     * The STATUS
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $STATUS;
    /**
     * Constructor method for siebelHBCards
     * @uses SiebelHBCards::setBIRTH_DATE()
     * @uses SiebelHBCards::setCERT_BEGIN()
     * @uses SiebelHBCards::setCERT_END()
     * @uses SiebelHBCards::setCERT_NUMBER()
     * @uses SiebelHBCards::setCERT_SIGN()
     * @uses SiebelHBCards::setDOC_NUMBER()
     * @uses SiebelHBCards::setIIN()
     * @uses SiebelHBCards::setINS_SUM()
     * @uses SiebelHBCards::setNAME()
     * @uses SiebelHBCards::setPREMIUM()
     * @uses SiebelHBCards::setPROGRAM_NUM()
     * @uses SiebelHBCards::setRESIDENT()
     * @uses SiebelHBCards::setSTATUS()
     * @param string $bIRTH_DATE
     * @param string $cERT_BEGIN
     * @param string $cERT_END
     * @param string $cERT_NUMBER
     * @param string $cERT_SIGN
     * @param string $dOC_NUMBER
     * @param string $iIN
     * @param string $iNS_SUM
     * @param string $nAME
     * @param string $pREMIUM
     * @param string $pROGRAM_NUM
     * @param string $rESIDENT
     * @param string $sTATUS
     */
    public function __construct($bIRTH_DATE = null, $cERT_BEGIN = null, $cERT_END = null, $cERT_NUMBER = null, $cERT_SIGN = null, $dOC_NUMBER = null, $iIN = null, $iNS_SUM = null, $nAME = null, $pREMIUM = null, $pROGRAM_NUM = null, $rESIDENT = null, $sTATUS = null)
    {
        $this
            ->setBIRTH_DATE($bIRTH_DATE)
            ->setCERT_BEGIN($cERT_BEGIN)
            ->setCERT_END($cERT_END)
            ->setCERT_NUMBER($cERT_NUMBER)
            ->setCERT_SIGN($cERT_SIGN)
            ->setDOC_NUMBER($dOC_NUMBER)
            ->setIIN($iIN)
            ->setINS_SUM($iNS_SUM)
            ->setNAME($nAME)
            ->setPREMIUM($pREMIUM)
            ->setPROGRAM_NUM($pROGRAM_NUM)
            ->setRESIDENT($rESIDENT)
            ->setSTATUS($sTATUS);
    }
    /**
     * Get BIRTH_DATE value
     * @return string|null
     */
    public function getBIRTH_DATE()
    {
        return $this->BIRTH_DATE;
    }
    /**
     * Set BIRTH_DATE value
     * @param string $bIRTH_DATE
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setBIRTH_DATE($bIRTH_DATE = null)
    {
        // validation for constraint: string
        if (!is_null($bIRTH_DATE) && !is_string($bIRTH_DATE)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bIRTH_DATE, true), gettype($bIRTH_DATE)), __LINE__);
        }
        $this->BIRTH_DATE = $bIRTH_DATE;
        return $this;
    }
    /**
     * Get CERT_BEGIN value
     * @return string|null
     */
    public function getCERT_BEGIN()
    {
        return $this->CERT_BEGIN;
    }
    /**
     * Set CERT_BEGIN value
     * @param string $cERT_BEGIN
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setCERT_BEGIN($cERT_BEGIN = null)
    {
        // validation for constraint: string
        if (!is_null($cERT_BEGIN) && !is_string($cERT_BEGIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cERT_BEGIN, true), gettype($cERT_BEGIN)), __LINE__);
        }
        $this->CERT_BEGIN = $cERT_BEGIN;
        return $this;
    }
    /**
     * Get CERT_END value
     * @return string|null
     */
    public function getCERT_END()
    {
        return $this->CERT_END;
    }
    /**
     * Set CERT_END value
     * @param string $cERT_END
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setCERT_END($cERT_END = null)
    {
        // validation for constraint: string
        if (!is_null($cERT_END) && !is_string($cERT_END)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cERT_END, true), gettype($cERT_END)), __LINE__);
        }
        $this->CERT_END = $cERT_END;
        return $this;
    }
    /**
     * Get CERT_NUMBER value
     * @return string|null
     */
    public function getCERT_NUMBER()
    {
        return $this->CERT_NUMBER;
    }
    /**
     * Set CERT_NUMBER value
     * @param string $cERT_NUMBER
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setCERT_NUMBER($cERT_NUMBER = null)
    {
        // validation for constraint: string
        if (!is_null($cERT_NUMBER) && !is_string($cERT_NUMBER)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cERT_NUMBER, true), gettype($cERT_NUMBER)), __LINE__);
        }
        $this->CERT_NUMBER = $cERT_NUMBER;
        return $this;
    }
    /**
     * Get CERT_SIGN value
     * @return string|null
     */
    public function getCERT_SIGN()
    {
        return $this->CERT_SIGN;
    }
    /**
     * Set CERT_SIGN value
     * @param string $cERT_SIGN
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setCERT_SIGN($cERT_SIGN = null)
    {
        // validation for constraint: string
        if (!is_null($cERT_SIGN) && !is_string($cERT_SIGN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cERT_SIGN, true), gettype($cERT_SIGN)), __LINE__);
        }
        $this->CERT_SIGN = $cERT_SIGN;
        return $this;
    }
    /**
     * Get DOC_NUMBER value
     * @return string|null
     */
    public function getDOC_NUMBER()
    {
        return $this->DOC_NUMBER;
    }
    /**
     * Set DOC_NUMBER value
     * @param string $dOC_NUMBER
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setDOC_NUMBER($dOC_NUMBER = null)
    {
        // validation for constraint: string
        if (!is_null($dOC_NUMBER) && !is_string($dOC_NUMBER)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dOC_NUMBER, true), gettype($dOC_NUMBER)), __LINE__);
        }
        $this->DOC_NUMBER = $dOC_NUMBER;
        return $this;
    }
    /**
     * Get IIN value
     * @return string|null
     */
    public function getIIN()
    {
        return $this->IIN;
    }
    /**
     * Set IIN value
     * @param string $iIN
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setIIN($iIN = null)
    {
        // validation for constraint: string
        if (!is_null($iIN) && !is_string($iIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iIN, true), gettype($iIN)), __LINE__);
        }
        $this->IIN = $iIN;
        return $this;
    }
    /**
     * Get INS_SUM value
     * @return string|null
     */
    public function getINS_SUM()
    {
        return $this->INS_SUM;
    }
    /**
     * Set INS_SUM value
     * @param string $iNS_SUM
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setINS_SUM($iNS_SUM = null)
    {
        // validation for constraint: string
        if (!is_null($iNS_SUM) && !is_string($iNS_SUM)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iNS_SUM, true), gettype($iNS_SUM)), __LINE__);
        }
        $this->INS_SUM = $iNS_SUM;
        return $this;
    }
    /**
     * Get NAME value
     * @return string|null
     */
    public function getNAME()
    {
        return $this->NAME;
    }
    /**
     * Set NAME value
     * @param string $nAME
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setNAME($nAME = null)
    {
        // validation for constraint: string
        if (!is_null($nAME) && !is_string($nAME)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nAME, true), gettype($nAME)), __LINE__);
        }
        $this->NAME = $nAME;
        return $this;
    }
    /**
     * Get PREMIUM value
     * @return string|null
     */
    public function getPREMIUM()
    {
        return $this->PREMIUM;
    }
    /**
     * Set PREMIUM value
     * @param string $pREMIUM
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setPREMIUM($pREMIUM = null)
    {
        // validation for constraint: string
        if (!is_null($pREMIUM) && !is_string($pREMIUM)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pREMIUM, true), gettype($pREMIUM)), __LINE__);
        }
        $this->PREMIUM = $pREMIUM;
        return $this;
    }
    /**
     * Get PROGRAM_NUM value
     * @return string|null
     */
    public function getPROGRAM_NUM()
    {
        return $this->PROGRAM_NUM;
    }
    /**
     * Set PROGRAM_NUM value
     * @param string $pROGRAM_NUM
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setPROGRAM_NUM($pROGRAM_NUM = null)
    {
        // validation for constraint: string
        if (!is_null($pROGRAM_NUM) && !is_string($pROGRAM_NUM)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pROGRAM_NUM, true), gettype($pROGRAM_NUM)), __LINE__);
        }
        $this->PROGRAM_NUM = $pROGRAM_NUM;
        return $this;
    }
    /**
     * Get RESIDENT value
     * @return string|null
     */
    public function getRESIDENT()
    {
        return $this->RESIDENT;
    }
    /**
     * Set RESIDENT value
     * @param string $rESIDENT
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setRESIDENT($rESIDENT = null)
    {
        // validation for constraint: string
        if (!is_null($rESIDENT) && !is_string($rESIDENT)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rESIDENT, true), gettype($rESIDENT)), __LINE__);
        }
        $this->RESIDENT = $rESIDENT;
        return $this;
    }
    /**
     * Get STATUS value
     * @return string|null
     */
    public function getSTATUS()
    {
        return $this->STATUS;
    }
    /**
     * Set STATUS value
     * @param string $sTATUS
     * @return \App\Insis\StructType\SiebelHBCards
     */
    public function setSTATUS($sTATUS = null)
    {
        // validation for constraint: string
        if (!is_null($sTATUS) && !is_string($sTATUS)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sTATUS, true), gettype($sTATUS)), __LINE__);
        }
        $this->STATUS = $sTATUS;
        return $this;
    }
}
