<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for siebelObject StructType
 * @subpackage Structs
 */
class SiebelObject extends AbstractStructBase
{
    /**
     * The attributes
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \App\Insis\StructType\SiebelAttributes[]
     */
    public $attributes;
    /**
     * The attributesTable
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \App\Insis\StructType\SiebelAttributesTable[]
     */
    public $attributesTable;
    /**
     * The dateEnd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dateEnd;
    /**
     * The dateStart
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dateStart;
    /**
     * The franchise
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $franchise;
    /**
     * The insPrem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $insPrem;
    /**
     * The insSum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $insSum;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The rate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $rate;
    /**
     * The risk
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \App\Insis\StructType\SiebelRisk[]
     */
    public $risk;
    /**
     * The siebelClass
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \App\Insis\StructType\SiebelClass[]
     */
    public $siebelClass;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * Constructor method for siebelObject
     * @uses SiebelObject::setAttributes()
     * @uses SiebelObject::setAttributesTable()
     * @uses SiebelObject::setDateEnd()
     * @uses SiebelObject::setDateStart()
     * @uses SiebelObject::setFranchise()
     * @uses SiebelObject::setInsPrem()
     * @uses SiebelObject::setInsSum()
     * @uses SiebelObject::setName()
     * @uses SiebelObject::setRate()
     * @uses SiebelObject::setRisk()
     * @uses SiebelObject::setSiebelClass()
     * @uses SiebelObject::setType()
     * @param \App\Insis\StructType\SiebelAttributes[] $attributes
     * @param \App\Insis\StructType\SiebelAttributesTable[] $attributesTable
     * @param string $dateEnd
     * @param string $dateStart
     * @param string $franchise
     * @param string $insPrem
     * @param string $insSum
     * @param string $name
     * @param string $rate
     * @param \App\Insis\StructType\SiebelRisk[] $risk
     * @param \App\Insis\StructType\SiebelClass[] $siebelClass
     * @param string $type
     */
    public function __construct(array $attributes = array(), array $attributesTable = array(), $dateEnd = null, $dateStart = null, $franchise = null, $insPrem = null, $insSum = null, $name = null, $rate = null, array $risk = array(), array $siebelClass = array(), $type = null)
    {
        $this
            ->setAttributes($attributes)
            ->setAttributesTable($attributesTable)
            ->setDateEnd($dateEnd)
            ->setDateStart($dateStart)
            ->setFranchise($franchise)
            ->setInsPrem($insPrem)
            ->setInsSum($insSum)
            ->setName($name)
            ->setRate($rate)
            ->setRisk($risk)
            ->setSiebelClass($siebelClass)
            ->setType($type);
    }
    /**
     * Get attributes value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App\Insis\StructType\SiebelAttributes[]|null
     */
    public function getAttributes()
    {
        return isset($this->attributes) ? $this->attributes : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAttributes method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAttributes method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAttributesForArrayConstraintsFromSetAttributes(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $siebelObjectAttributesItem) {
            // validation for constraint: itemType
            if (!$siebelObjectAttributesItem instanceof \App\Insis\StructType\SiebelAttributes) {
                $invalidValues[] = is_object($siebelObjectAttributesItem) ? get_class($siebelObjectAttributesItem) : sprintf('%s(%s)', gettype($siebelObjectAttributesItem), var_export($siebelObjectAttributesItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The attributes property can only contain items of type \App\Insis\StructType\SiebelAttributes, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set attributes value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelAttributes[] $attributes
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setAttributes(array $attributes = array())
    {
        // validation for constraint: array
        if ('' !== ($attributesArrayErrorMessage = self::validateAttributesForArrayConstraintsFromSetAttributes($attributes))) {
            throw new \InvalidArgumentException($attributesArrayErrorMessage, __LINE__);
        }
        if (is_null($attributes) || (is_array($attributes) && empty($attributes))) {
            unset($this->attributes);
        } else {
            $this->attributes = $attributes;
        }
        return $this;
    }
    /**
     * Add item to attributes value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelAttributes $item
     * @return \App\Insis\StructType\SiebelObject
     */
    public function addToAttributes(\App\Insis\StructType\SiebelAttributes $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\SiebelAttributes) {
            throw new \InvalidArgumentException(sprintf('The attributes property can only contain items of type \App\Insis\StructType\SiebelAttributes, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->attributes[] = $item;
        return $this;
    }
    /**
     * Get attributesTable value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App\Insis\StructType\SiebelAttributesTable[]|null
     */
    public function getAttributesTable()
    {
        return isset($this->attributesTable) ? $this->attributesTable : null;
    }
    /**
     * This method is responsible for validating the values passed to the setAttributesTable method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAttributesTable method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAttributesTableForArrayConstraintsFromSetAttributesTable(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $siebelObjectAttributesTableItem) {
            // validation for constraint: itemType
            if (!$siebelObjectAttributesTableItem instanceof \App\Insis\StructType\SiebelAttributesTable) {
                $invalidValues[] = is_object($siebelObjectAttributesTableItem) ? get_class($siebelObjectAttributesTableItem) : sprintf('%s(%s)', gettype($siebelObjectAttributesTableItem), var_export($siebelObjectAttributesTableItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The attributesTable property can only contain items of type \App\Insis\StructType\SiebelAttributesTable, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set attributesTable value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelAttributesTable[] $attributesTable
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setAttributesTable(array $attributesTable = array())
    {
        // validation for constraint: array
        if ('' !== ($attributesTableArrayErrorMessage = self::validateAttributesTableForArrayConstraintsFromSetAttributesTable($attributesTable))) {
            throw new \InvalidArgumentException($attributesTableArrayErrorMessage, __LINE__);
        }
        if (is_null($attributesTable) || (is_array($attributesTable) && empty($attributesTable))) {
            unset($this->attributesTable);
        } else {
            $this->attributesTable = $attributesTable;
        }
        return $this;
    }
    /**
     * Add item to attributesTable value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelAttributesTable $item
     * @return \App\Insis\StructType\SiebelObject
     */
    public function addToAttributesTable(\App\Insis\StructType\SiebelAttributesTable $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\SiebelAttributesTable) {
            throw new \InvalidArgumentException(sprintf('The attributesTable property can only contain items of type \App\Insis\StructType\SiebelAttributesTable, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->attributesTable[] = $item;
        return $this;
    }
    /**
     * Get dateEnd value
     * @return string|null
     */
    public function getDateEnd()
    {
        return $this->dateEnd;
    }
    /**
     * Set dateEnd value
     * @param string $dateEnd
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setDateEnd($dateEnd = null)
    {
        // validation for constraint: string
        if (!is_null($dateEnd) && !is_string($dateEnd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dateEnd, true), gettype($dateEnd)), __LINE__);
        }
        $this->dateEnd = $dateEnd;
        return $this;
    }
    /**
     * Get dateStart value
     * @return string|null
     */
    public function getDateStart()
    {
        return $this->dateStart;
    }
    /**
     * Set dateStart value
     * @param string $dateStart
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setDateStart($dateStart = null)
    {
        // validation for constraint: string
        if (!is_null($dateStart) && !is_string($dateStart)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dateStart, true), gettype($dateStart)), __LINE__);
        }
        $this->dateStart = $dateStart;
        return $this;
    }
    /**
     * Get franchise value
     * @return string|null
     */
    public function getFranchise()
    {
        return $this->franchise;
    }
    /**
     * Set franchise value
     * @param string $franchise
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setFranchise($franchise = null)
    {
        // validation for constraint: string
        if (!is_null($franchise) && !is_string($franchise)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($franchise, true), gettype($franchise)), __LINE__);
        }
        $this->franchise = $franchise;
        return $this;
    }
    /**
     * Get insPrem value
     * @return string|null
     */
    public function getInsPrem()
    {
        return $this->insPrem;
    }
    /**
     * Set insPrem value
     * @param string $insPrem
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setInsPrem($insPrem = null)
    {
        // validation for constraint: string
        if (!is_null($insPrem) && !is_string($insPrem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($insPrem, true), gettype($insPrem)), __LINE__);
        }
        $this->insPrem = $insPrem;
        return $this;
    }
    /**
     * Get insSum value
     * @return string|null
     */
    public function getInsSum()
    {
        return $this->insSum;
    }
    /**
     * Set insSum value
     * @param string $insSum
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setInsSum($insSum = null)
    {
        // validation for constraint: string
        if (!is_null($insSum) && !is_string($insSum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($insSum, true), gettype($insSum)), __LINE__);
        }
        $this->insSum = $insSum;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get rate value
     * @return string|null
     */
    public function getRate()
    {
        return $this->rate;
    }
    /**
     * Set rate value
     * @param string $rate
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setRate($rate = null)
    {
        // validation for constraint: string
        if (!is_null($rate) && !is_string($rate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($rate, true), gettype($rate)), __LINE__);
        }
        $this->rate = $rate;
        return $this;
    }
    /**
     * Get risk value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App\Insis\StructType\SiebelRisk[]|null
     */
    public function getRisk()
    {
        return isset($this->risk) ? $this->risk : null;
    }
    /**
     * This method is responsible for validating the values passed to the setRisk method
     * This method is willingly generated in order to preserve the one-line inline validation within the setRisk method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateRiskForArrayConstraintsFromSetRisk(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $siebelObjectRiskItem) {
            // validation for constraint: itemType
            if (!$siebelObjectRiskItem instanceof \App\Insis\StructType\SiebelRisk) {
                $invalidValues[] = is_object($siebelObjectRiskItem) ? get_class($siebelObjectRiskItem) : sprintf('%s(%s)', gettype($siebelObjectRiskItem), var_export($siebelObjectRiskItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The risk property can only contain items of type \App\Insis\StructType\SiebelRisk, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set risk value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelRisk[] $risk
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setRisk(array $risk = array())
    {
        // validation for constraint: array
        if ('' !== ($riskArrayErrorMessage = self::validateRiskForArrayConstraintsFromSetRisk($risk))) {
            throw new \InvalidArgumentException($riskArrayErrorMessage, __LINE__);
        }
        if (is_null($risk) || (is_array($risk) && empty($risk))) {
            unset($this->risk);
        } else {
            $this->risk = $risk;
        }
        return $this;
    }
    /**
     * Add item to risk value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelRisk $item
     * @return \App\Insis\StructType\SiebelObject
     */
    public function addToRisk(\App\Insis\StructType\SiebelRisk $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\SiebelRisk) {
            throw new \InvalidArgumentException(sprintf('The risk property can only contain items of type \App\Insis\StructType\SiebelRisk, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->risk[] = $item;
        return $this;
    }
    /**
     * Get siebelClass value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \App\Insis\StructType\SiebelClass[]|null
     */
    public function getSiebelClass()
    {
        return isset($this->siebelClass) ? $this->siebelClass : null;
    }
    /**
     * This method is responsible for validating the values passed to the setSiebelClass method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSiebelClass method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSiebelClassForArrayConstraintsFromSetSiebelClass(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $siebelObjectSiebelClassItem) {
            // validation for constraint: itemType
            if (!$siebelObjectSiebelClassItem instanceof \App\Insis\StructType\SiebelClass) {
                $invalidValues[] = is_object($siebelObjectSiebelClassItem) ? get_class($siebelObjectSiebelClassItem) : sprintf('%s(%s)', gettype($siebelObjectSiebelClassItem), var_export($siebelObjectSiebelClassItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The siebelClass property can only contain items of type \App\Insis\StructType\SiebelClass, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set siebelClass value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelClass[] $siebelClass
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setSiebelClass(array $siebelClass = array())
    {
        // validation for constraint: array
        if ('' !== ($siebelClassArrayErrorMessage = self::validateSiebelClassForArrayConstraintsFromSetSiebelClass($siebelClass))) {
            throw new \InvalidArgumentException($siebelClassArrayErrorMessage, __LINE__);
        }
        if (is_null($siebelClass) || (is_array($siebelClass) && empty($siebelClass))) {
            unset($this->siebelClass);
        } else {
            $this->siebelClass = $siebelClass;
        }
        return $this;
    }
    /**
     * Add item to siebelClass value
     * @throws \InvalidArgumentException
     * @param \App\Insis\StructType\SiebelClass $item
     * @return \App\Insis\StructType\SiebelObject
     */
    public function addToSiebelClass(\App\Insis\StructType\SiebelClass $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \App\Insis\StructType\SiebelClass) {
            throw new \InvalidArgumentException(sprintf('The siebelClass property can only contain items of type \App\Insis\StructType\SiebelClass, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->siebelClass[] = $item;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Insis\StructType\SiebelObject
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
}
