<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for siebelPaymentPlan StructType
 * @subpackage Structs
 */
class SiebelPaymentPlan extends AbstractStructBase
{
    /**
     * The number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $number;
    /**
     * The payment
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $payment;
    /**
     * The sum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sum;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * Constructor method for siebelPaymentPlan
     * @uses SiebelPaymentPlan::setNumber()
     * @uses SiebelPaymentPlan::setPayment()
     * @uses SiebelPaymentPlan::setSum()
     * @uses SiebelPaymentPlan::setType()
     * @param string $number
     * @param string $payment
     * @param string $sum
     * @param string $type
     */
    public function __construct($number = null, $payment = null, $sum = null, $type = null)
    {
        $this
            ->setNumber($number)
            ->setPayment($payment)
            ->setSum($sum)
            ->setType($type);
    }
    /**
     * Get number value
     * @return string|null
     */
    public function getNumber()
    {
        return $this->number;
    }
    /**
     * Set number value
     * @param string $number
     * @return \App\Insis\StructType\SiebelPaymentPlan
     */
    public function setNumber($number = null)
    {
        // validation for constraint: string
        if (!is_null($number) && !is_string($number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($number, true), gettype($number)), __LINE__);
        }
        $this->number = $number;
        return $this;
    }
    /**
     * Get payment value
     * @return string|null
     */
    public function getPayment()
    {
        return $this->payment;
    }
    /**
     * Set payment value
     * @param string $payment
     * @return \App\Insis\StructType\SiebelPaymentPlan
     */
    public function setPayment($payment = null)
    {
        // validation for constraint: string
        if (!is_null($payment) && !is_string($payment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($payment, true), gettype($payment)), __LINE__);
        }
        $this->payment = $payment;
        return $this;
    }
    /**
     * Get sum value
     * @return string|null
     */
    public function getSum()
    {
        return $this->sum;
    }
    /**
     * Set sum value
     * @param string $sum
     * @return \App\Insis\StructType\SiebelPaymentPlan
     */
    public function setSum($sum = null)
    {
        // validation for constraint: string
        if (!is_null($sum) && !is_string($sum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sum, true), gettype($sum)), __LINE__);
        }
        $this->sum = $sum;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Insis\StructType\SiebelPaymentPlan
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
}
