<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for siebelResult StructType
 * @subpackage Structs
 */
class SiebelResult extends AbstractStructBase
{
    /**
     * The errorCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $errorCode;
    /**
     * The errorMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $errorMessage;
    /**
     * The primaryRowId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $primaryRowId;
    /**
     * Constructor method for siebelResult
     * @uses SiebelResult::setErrorCode()
     * @uses SiebelResult::setErrorMessage()
     * @uses SiebelResult::setPrimaryRowId()
     * @param string $errorCode
     * @param string $errorMessage
     * @param string $primaryRowId
     */
    public function __construct($errorCode = null, $errorMessage = null, $primaryRowId = null)
    {
        $this
            ->setErrorCode($errorCode)
            ->setErrorMessage($errorMessage)
            ->setPrimaryRowId($primaryRowId);
    }
    /**
     * Get errorCode value
     * @return string|null
     */
    public function getErrorCode()
    {
        return $this->errorCode;
    }
    /**
     * Set errorCode value
     * @param string $errorCode
     * @return \App\Insis\StructType\SiebelResult
     */
    public function setErrorCode($errorCode = null)
    {
        // validation for constraint: string
        if (!is_null($errorCode) && !is_string($errorCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorCode, true), gettype($errorCode)), __LINE__);
        }
        $this->errorCode = $errorCode;
        return $this;
    }
    /**
     * Get errorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->errorMessage;
    }
    /**
     * Set errorMessage value
     * @param string $errorMessage
     * @return \App\Insis\StructType\SiebelResult
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        $this->errorMessage = $errorMessage;
        return $this;
    }
    /**
     * Get primaryRowId value
     * @return string|null
     */
    public function getPrimaryRowId()
    {
        return $this->primaryRowId;
    }
    /**
     * Set primaryRowId value
     * @param string $primaryRowId
     * @return \App\Insis\StructType\SiebelResult
     */
    public function setPrimaryRowId($primaryRowId = null)
    {
        // validation for constraint: string
        if (!is_null($primaryRowId) && !is_string($primaryRowId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($primaryRowId, true), gettype($primaryRowId)), __LINE__);
        }
        $this->primaryRowId = $primaryRowId;
        return $this;
    }
}
