<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for techInspection StructType
 * @subpackage Structs
 */
class TechInspection extends AbstractStructBase
{
    /**
     * The activeMan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $activeMan;
    /**
     * The agent_no
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $agent_no;
    /**
     * The annul
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $annul;
    /**
     * The annulDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $annulDate;
    /**
     * The beginDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $beginDate;
    /**
     * The endDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $endDate;
    /**
     * The iin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $iin;
    /**
     * The inspectId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $inspectId;
    /**
     * The inspectNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $inspectNo;
    /**
     * The issueDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $issueDate;
    /**
     * The issueDateLast
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $issueDateLast;
    /**
     * The policyId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $policyId;
    /**
     * The serviceId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $serviceId;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * Constructor method for techInspection
     * @uses TechInspection::setActiveMan()
     * @uses TechInspection::setAgent_no()
     * @uses TechInspection::setAnnul()
     * @uses TechInspection::setAnnulDate()
     * @uses TechInspection::setBeginDate()
     * @uses TechInspection::setEndDate()
     * @uses TechInspection::setIin()
     * @uses TechInspection::setInspectId()
     * @uses TechInspection::setInspectNo()
     * @uses TechInspection::setIssueDate()
     * @uses TechInspection::setIssueDateLast()
     * @uses TechInspection::setPolicyId()
     * @uses TechInspection::setServiceId()
     * @uses TechInspection::setStatus()
     * @param int $activeMan
     * @param string $agent_no
     * @param string $annul
     * @param string $annulDate
     * @param string $beginDate
     * @param string $endDate
     * @param string $iin
     * @param int $inspectId
     * @param string $inspectNo
     * @param string $issueDate
     * @param string $issueDateLast
     * @param int $policyId
     * @param string $serviceId
     * @param string $status
     */
    public function __construct($activeMan = null, $agent_no = null, $annul = null, $annulDate = null, $beginDate = null, $endDate = null, $iin = null, $inspectId = null, $inspectNo = null, $issueDate = null, $issueDateLast = null, $policyId = null, $serviceId = null, $status = null)
    {
        $this
            ->setActiveMan($activeMan)
            ->setAgent_no($agent_no)
            ->setAnnul($annul)
            ->setAnnulDate($annulDate)
            ->setBeginDate($beginDate)
            ->setEndDate($endDate)
            ->setIin($iin)
            ->setInspectId($inspectId)
            ->setInspectNo($inspectNo)
            ->setIssueDate($issueDate)
            ->setIssueDateLast($issueDateLast)
            ->setPolicyId($policyId)
            ->setServiceId($serviceId)
            ->setStatus($status);
    }
    /**
     * Get activeMan value
     * @return int|null
     */
    public function getActiveMan()
    {
        return $this->activeMan;
    }
    /**
     * Set activeMan value
     * @param int $activeMan
     * @return \App\Insis\StructType\TechInspection
     */
    public function setActiveMan($activeMan = null)
    {
        // validation for constraint: int
        if (!is_null($activeMan) && !(is_int($activeMan) || ctype_digit($activeMan))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($activeMan, true), gettype($activeMan)), __LINE__);
        }
        $this->activeMan = $activeMan;
        return $this;
    }
    /**
     * Get agent_no value
     * @return string|null
     */
    public function getAgent_no()
    {
        return $this->agent_no;
    }
    /**
     * Set agent_no value
     * @param string $agent_no
     * @return \App\Insis\StructType\TechInspection
     */
    public function setAgent_no($agent_no = null)
    {
        // validation for constraint: string
        if (!is_null($agent_no) && !is_string($agent_no)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($agent_no, true), gettype($agent_no)), __LINE__);
        }
        $this->agent_no = $agent_no;
        return $this;
    }
    /**
     * Get annul value
     * @return string|null
     */
    public function getAnnul()
    {
        return $this->annul;
    }
    /**
     * Set annul value
     * @param string $annul
     * @return \App\Insis\StructType\TechInspection
     */
    public function setAnnul($annul = null)
    {
        // validation for constraint: string
        if (!is_null($annul) && !is_string($annul)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($annul, true), gettype($annul)), __LINE__);
        }
        $this->annul = $annul;
        return $this;
    }
    /**
     * Get annulDate value
     * @return string|null
     */
    public function getAnnulDate()
    {
        return $this->annulDate;
    }
    /**
     * Set annulDate value
     * @param string $annulDate
     * @return \App\Insis\StructType\TechInspection
     */
    public function setAnnulDate($annulDate = null)
    {
        // validation for constraint: string
        if (!is_null($annulDate) && !is_string($annulDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($annulDate, true), gettype($annulDate)), __LINE__);
        }
        $this->annulDate = $annulDate;
        return $this;
    }
    /**
     * Get beginDate value
     * @return string|null
     */
    public function getBeginDate()
    {
        return $this->beginDate;
    }
    /**
     * Set beginDate value
     * @param string $beginDate
     * @return \App\Insis\StructType\TechInspection
     */
    public function setBeginDate($beginDate = null)
    {
        // validation for constraint: string
        if (!is_null($beginDate) && !is_string($beginDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($beginDate, true), gettype($beginDate)), __LINE__);
        }
        $this->beginDate = $beginDate;
        return $this;
    }
    /**
     * Get endDate value
     * @return string|null
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param string $endDate
     * @return \App\Insis\StructType\TechInspection
     */
    public function setEndDate($endDate = null)
    {
        // validation for constraint: string
        if (!is_null($endDate) && !is_string($endDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($endDate, true), gettype($endDate)), __LINE__);
        }
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get iin value
     * @return string|null
     */
    public function getIin()
    {
        return $this->iin;
    }
    /**
     * Set iin value
     * @param string $iin
     * @return \App\Insis\StructType\TechInspection
     */
    public function setIin($iin = null)
    {
        // validation for constraint: string
        if (!is_null($iin) && !is_string($iin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iin, true), gettype($iin)), __LINE__);
        }
        $this->iin = $iin;
        return $this;
    }
    /**
     * Get inspectId value
     * @return int|null
     */
    public function getInspectId()
    {
        return $this->inspectId;
    }
    /**
     * Set inspectId value
     * @param int $inspectId
     * @return \App\Insis\StructType\TechInspection
     */
    public function setInspectId($inspectId = null)
    {
        // validation for constraint: int
        if (!is_null($inspectId) && !(is_int($inspectId) || ctype_digit($inspectId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($inspectId, true), gettype($inspectId)), __LINE__);
        }
        $this->inspectId = $inspectId;
        return $this;
    }
    /**
     * Get inspectNo value
     * @return string|null
     */
    public function getInspectNo()
    {
        return $this->inspectNo;
    }
    /**
     * Set inspectNo value
     * @param string $inspectNo
     * @return \App\Insis\StructType\TechInspection
     */
    public function setInspectNo($inspectNo = null)
    {
        // validation for constraint: string
        if (!is_null($inspectNo) && !is_string($inspectNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($inspectNo, true), gettype($inspectNo)), __LINE__);
        }
        $this->inspectNo = $inspectNo;
        return $this;
    }
    /**
     * Get issueDate value
     * @return string|null
     */
    public function getIssueDate()
    {
        return $this->issueDate;
    }
    /**
     * Set issueDate value
     * @param string $issueDate
     * @return \App\Insis\StructType\TechInspection
     */
    public function setIssueDate($issueDate = null)
    {
        // validation for constraint: string
        if (!is_null($issueDate) && !is_string($issueDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($issueDate, true), gettype($issueDate)), __LINE__);
        }
        $this->issueDate = $issueDate;
        return $this;
    }
    /**
     * Get issueDateLast value
     * @return string|null
     */
    public function getIssueDateLast()
    {
        return $this->issueDateLast;
    }
    /**
     * Set issueDateLast value
     * @param string $issueDateLast
     * @return \App\Insis\StructType\TechInspection
     */
    public function setIssueDateLast($issueDateLast = null)
    {
        // validation for constraint: string
        if (!is_null($issueDateLast) && !is_string($issueDateLast)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($issueDateLast, true), gettype($issueDateLast)), __LINE__);
        }
        $this->issueDateLast = $issueDateLast;
        return $this;
    }
    /**
     * Get policyId value
     * @return int|null
     */
    public function getPolicyId()
    {
        return $this->policyId;
    }
    /**
     * Set policyId value
     * @param int $policyId
     * @return \App\Insis\StructType\TechInspection
     */
    public function setPolicyId($policyId = null)
    {
        // validation for constraint: int
        if (!is_null($policyId) && !(is_int($policyId) || ctype_digit($policyId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($policyId, true), gettype($policyId)), __LINE__);
        }
        $this->policyId = $policyId;
        return $this;
    }
    /**
     * Get serviceId value
     * @return string|null
     */
    public function getServiceId()
    {
        return $this->serviceId;
    }
    /**
     * Set serviceId value
     * @param string $serviceId
     * @return \App\Insis\StructType\TechInspection
     */
    public function setServiceId($serviceId = null)
    {
        // validation for constraint: string
        if (!is_null($serviceId) && !is_string($serviceId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($serviceId, true), gettype($serviceId)), __LINE__);
        }
        $this->serviceId = $serviceId;
        return $this;
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \App\Insis\StructType\TechInspection
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($status, true), gettype($status)), __LINE__);
        }
        $this->status = $status;
        return $this;
    }
}
