<?php

namespace App\Insis\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for travelClient StructType
 * @subpackage Structs
 */
class TravelClient extends AbstractStructBase
{
    /**
     * The clientType
     * @var int
     */
    public $clientType;
    /**
     * The documentDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $documentDate;
    /**
     * The documentNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $documentNo;
    /**
     * The email
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $email;
    /**
     * The FName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $FName;
    /**
     * The IIN
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $IIN;
    /**
     * The LName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $LName;
    /**
     * The SName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $SName;
    /**
     * Constructor method for travelClient
     * @uses TravelClient::setClientType()
     * @uses TravelClient::setDocumentDate()
     * @uses TravelClient::setDocumentNo()
     * @uses TravelClient::setEmail()
     * @uses TravelClient::setFName()
     * @uses TravelClient::setIIN()
     * @uses TravelClient::setLName()
     * @uses TravelClient::setSName()
     * @param int $clientType
     * @param string $documentDate
     * @param string $documentNo
     * @param string $email
     * @param string $fName
     * @param string $iIN
     * @param string $lName
     * @param string $sName
     */
    public function __construct($clientType = null, $documentDate = null, $documentNo = null, $email = null, $fName = null, $iIN = null, $lName = null, $sName = null)
    {
        $this
            ->setClientType($clientType)
            ->setDocumentDate($documentDate)
            ->setDocumentNo($documentNo)
            ->setEmail($email)
            ->setFName($fName)
            ->setIIN($iIN)
            ->setLName($lName)
            ->setSName($sName);
    }
    /**
     * Get clientType value
     * @return int|null
     */
    public function getClientType()
    {
        return $this->clientType;
    }
    /**
     * Set clientType value
     * @param int $clientType
     * @return \App\Insis\StructType\TravelClient
     */
    public function setClientType($clientType = null)
    {
        // validation for constraint: int
        if (!is_null($clientType) && !(is_int($clientType) || ctype_digit($clientType))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($clientType, true), gettype($clientType)), __LINE__);
        }
        $this->clientType = $clientType;
        return $this;
    }
    /**
     * Get documentDate value
     * @return string|null
     */
    public function getDocumentDate()
    {
        return $this->documentDate;
    }
    /**
     * Set documentDate value
     * @param string $documentDate
     * @return \App\Insis\StructType\TravelClient
     */
    public function setDocumentDate($documentDate = null)
    {
        // validation for constraint: string
        if (!is_null($documentDate) && !is_string($documentDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($documentDate, true), gettype($documentDate)), __LINE__);
        }
        $this->documentDate = $documentDate;
        return $this;
    }
    /**
     * Get documentNo value
     * @return string|null
     */
    public function getDocumentNo()
    {
        return $this->documentNo;
    }
    /**
     * Set documentNo value
     * @param string $documentNo
     * @return \App\Insis\StructType\TravelClient
     */
    public function setDocumentNo($documentNo = null)
    {
        // validation for constraint: string
        if (!is_null($documentNo) && !is_string($documentNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($documentNo, true), gettype($documentNo)), __LINE__);
        }
        $this->documentNo = $documentNo;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \App\Insis\StructType\TravelClient
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($email, true), gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
    /**
     * Get FName value
     * @return string|null
     */
    public function getFName()
    {
        return $this->FName;
    }
    /**
     * Set FName value
     * @param string $fName
     * @return \App\Insis\StructType\TravelClient
     */
    public function setFName($fName = null)
    {
        // validation for constraint: string
        if (!is_null($fName) && !is_string($fName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fName, true), gettype($fName)), __LINE__);
        }
        $this->FName = $fName;
        return $this;
    }
    /**
     * Get IIN value
     * @return string|null
     */
    public function getIIN()
    {
        return $this->IIN;
    }
    /**
     * Set IIN value
     * @param string $iIN
     * @return \App\Insis\StructType\TravelClient
     */
    public function setIIN($iIN = null)
    {
        // validation for constraint: string
        if (!is_null($iIN) && !is_string($iIN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($iIN, true), gettype($iIN)), __LINE__);
        }
        $this->IIN = $iIN;
        return $this;
    }
    /**
     * Get LName value
     * @return string|null
     */
    public function getLName()
    {
        return $this->LName;
    }
    /**
     * Set LName value
     * @param string $lName
     * @return \App\Insis\StructType\TravelClient
     */
    public function setLName($lName = null)
    {
        // validation for constraint: string
        if (!is_null($lName) && !is_string($lName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lName, true), gettype($lName)), __LINE__);
        }
        $this->LName = $lName;
        return $this;
    }
    /**
     * Get SName value
     * @return string|null
     */
    public function getSName()
    {
        return $this->SName;
    }
    /**
     * Set SName value
     * @param string $sName
     * @return \App\Insis\StructType\TravelClient
     */
    public function setSName($sName = null)
    {
        // validation for constraint: string
        if (!is_null($sName) && !is_string($sName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sName, true), gettype($sName)), __LINE__);
        }
        $this->SName = $sName;
        return $this;
    }
}
